
_I2C_Init:

;i2c_soft_j.c,92 :: 		void I2C_Init() {
;i2c_soft_j.c,93 :: 		scl_Direction = 0;  // OUT
	BCF        TRISA4_bit+0, BitPos(TRISA4_bit+0)
;i2c_soft_j.c,94 :: 		sdi_Direction = 0;  // OUT
	BCF        TRISA5_bit+0, BitPos(TRISA5_bit+0)
;i2c_soft_j.c,95 :: 		}
L_end_I2C_Init:
	RETURN
; end of _I2C_Init

_I2C_Delay:

;i2c_soft_j.c,97 :: 		void I2C_Delay() {
;i2c_soft_j.c,99 :: 		for (i=0; i<= i2cdelay; i++) {
	CLRF       R1+0
L_I2C_Delay0:
	MOVF       R1+0, 0
	SUBLW      20
	BTFSS      STATUS+0, 0
	GOTO       L_I2C_Delay1
;i2c_soft_j.c,100 :: 		Delay_us(1);
	MOVLW      2
	MOVWF      R13
L_I2C_Delay3:
	DECFSZ     R13, 1
	GOTO       L_I2C_Delay3
	NOP
;i2c_soft_j.c,99 :: 		for (i=0; i<= i2cdelay; i++) {
	INCF       R1+0, 1
;i2c_soft_j.c,101 :: 		}
	GOTO       L_I2C_Delay0
L_I2C_Delay1:
;i2c_soft_j.c,102 :: 		}
L_end_I2C_Delay:
	RETURN
; end of _I2C_Delay

_sclHi:

;i2c_soft_j.c,104 :: 		void sclHi() {
;i2c_soft_j.c,105 :: 		scl = 1;
	BSF        LATA4_bit+0, BitPos(LATA4_bit+0)
;i2c_soft_j.c,106 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,107 :: 		}
L_end_sclHi:
	RETURN
; end of _sclHi

_sdaHi:

;i2c_soft_j.c,109 :: 		void sdaHi() {
;i2c_soft_j.c,110 :: 		sda = 1;
	BSF        LATA5_bit+0, BitPos(LATA5_bit+0)
;i2c_soft_j.c,111 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,112 :: 		}
L_end_sdaHi:
	RETURN
; end of _sdaHi

_sclLo:

;i2c_soft_j.c,114 :: 		void sclLo() {
;i2c_soft_j.c,115 :: 		scl = 0;
	BCF        LATA4_bit+0, BitPos(LATA4_bit+0)
;i2c_soft_j.c,116 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,117 :: 		}
L_end_sclLo:
	RETURN
; end of _sclLo

_sdaLo:

;i2c_soft_j.c,119 :: 		void sdaLo() {
;i2c_soft_j.c,120 :: 		sda = 0;
	BCF        LATA5_bit+0, BitPos(LATA5_bit+0)
;i2c_soft_j.c,121 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,122 :: 		}
L_end_sdaLo:
	RETURN
; end of _sdaLo

_start:

;i2c_soft_j.c,124 :: 		void start() {
;i2c_soft_j.c,125 :: 		sdaHi();
	CALL       _sdaHi+0
;i2c_soft_j.c,126 :: 		sclHi();
	CALL       _sclHi+0
;i2c_soft_j.c,127 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,128 :: 		sdaLo();
	CALL       _sdaLo+0
;i2c_soft_j.c,129 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,130 :: 		sclLo();
	CALL       _sclLo+0
;i2c_soft_j.c,131 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,132 :: 		}
L_end_start:
	RETURN
; end of _start

_stop:

;i2c_soft_j.c,134 :: 		void stop() {
;i2c_soft_j.c,135 :: 		sdaLo();
	CALL       _sdaLo+0
;i2c_soft_j.c,136 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,137 :: 		sclHi();
	CALL       _sclHi+0
;i2c_soft_j.c,138 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,139 :: 		sdaHi();
	CALL       _sdaHi+0
;i2c_soft_j.c,140 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,141 :: 		}
L_end_stop:
	RETURN
; end of _stop

_clockPulse:

;i2c_soft_j.c,143 :: 		void clockPulse() {
;i2c_soft_j.c,145 :: 		sclHi();
	CALL       _sclHi+0
;i2c_soft_j.c,146 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,147 :: 		sclLo();
	CALL       _sclLo+0
;i2c_soft_j.c,148 :: 		}
L_end_clockPulse:
	RETURN
; end of _clockPulse

_writeByte:

;i2c_soft_j.c,150 :: 		void writeByte(char data_byte) {
;i2c_soft_j.c,152 :: 		for (i = 0; i < 8; i++) {
	CLRF       writeByte_i_L0+0
L_writeByte4:
	MOVLW      8
	SUBWF      writeByte_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_writeByte5
;i2c_soft_j.c,153 :: 		if (data_byte.B7)sdaHi();
	BTFSS      FARG_writeByte_data_byte+0, 7
	GOTO       L_writeByte7
	CALL       _sdaHi+0
	GOTO       L_writeByte8
L_writeByte7:
;i2c_soft_j.c,154 :: 		else sdaLo();
	CALL       _sdaLo+0
L_writeByte8:
;i2c_soft_j.c,155 :: 		data_byte <<=1;
	LSLF       FARG_writeByte_data_byte+0, 1
;i2c_soft_j.c,156 :: 		clockPulse();
	CALL       _clockPulse+0
;i2c_soft_j.c,152 :: 		for (i = 0; i < 8; i++) {
	INCF       writeByte_i_L0+0, 1
;i2c_soft_j.c,157 :: 		}
	GOTO       L_writeByte4
L_writeByte5:
;i2c_soft_j.c,158 :: 		}
L_end_writeByte:
	RETURN
; end of _writeByte

_readBit:

;i2c_soft_j.c,160 :: 		unsigned short readBit() {
;i2c_soft_j.c,162 :: 		sdi_Direction = 1;  // IN
	BSF        TRISA5_bit+0, BitPos(TRISA5_bit+0)
;i2c_soft_j.c,163 :: 		sclHi();
	CALL       _sclHi+0
;i2c_soft_j.c,164 :: 		out_bit = sdi;
	MOVLW      0
	BTFSC      RA5_bit+0, BitPos(RA5_bit+0)
	MOVLW      1
	MOVWF      readBit_out_bit_L0+0
;i2c_soft_j.c,165 :: 		sclLo();
	CALL       _sclLo+0
;i2c_soft_j.c,166 :: 		sdi_Direction = 0;  // OUT
	BCF        TRISA5_bit+0, BitPos(TRISA5_bit+0)
;i2c_soft_j.c,167 :: 		return out_bit;
	MOVF       readBit_out_bit_L0+0, 0
	MOVWF      R0
;i2c_soft_j.c,168 :: 		}
L_end_readBit:
	RETURN
; end of _readBit

_readByte:

;i2c_soft_j.c,170 :: 		unsigned short readByte() {
;i2c_soft_j.c,171 :: 		unsigned short out_byte = 0, i;
	CLRF       readByte_out_byte_L0+0
;i2c_soft_j.c,173 :: 		sdaHi();
	CALL       _sdaHi+0
;i2c_soft_j.c,175 :: 		for (i = 0; i < 8; i++) {
	CLRF       readByte_i_L0+0
L_readByte9:
	MOVLW      8
	SUBWF      readByte_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_readByte10
;i2c_soft_j.c,176 :: 		out_byte <<=1;
	LSLF       readByte_out_byte_L0+0, 1
;i2c_soft_j.c,177 :: 		out_byte.B0 = readBit();
	CALL       _readBit+0
	BTFSC      R0, 0
	GOTO       L__readByte265
	BCF        readByte_out_byte_L0+0, 0
	GOTO       L__readByte266
L__readByte265:
	BSF        readByte_out_byte_L0+0, 0
L__readByte266:
;i2c_soft_j.c,175 :: 		for (i = 0; i < 8; i++) {
	INCF       readByte_i_L0+0, 1
;i2c_soft_j.c,178 :: 		}
	GOTO       L_readByte9
L_readByte10:
;i2c_soft_j.c,180 :: 		return out_byte;
	MOVF       readByte_out_byte_L0+0, 0
	MOVWF      R0
;i2c_soft_j.c,181 :: 		}
L_end_readByte:
	RETURN
; end of _readByte

_readAck:

;i2c_soft_j.c,186 :: 		unsigned short readAck() {
;i2c_soft_j.c,187 :: 		sdaHi();
	CALL       _sdaHi+0
;i2c_soft_j.c,188 :: 		return readBit() == 0 ? 0 : 1;
	CALL       _readBit+0
	MOVF       R0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_readAck12
	CLRF       ?FLOC___readAckT12+0
	GOTO       L_readAck13
L_readAck12:
	MOVLW      1
	MOVWF      ?FLOC___readAckT12+0
L_readAck13:
	MOVF       ?FLOC___readAckT12+0, 0
	MOVWF      R0
;i2c_soft_j.c,189 :: 		}
L_end_readAck:
	RETURN
; end of _readAck

_readNack:

;i2c_soft_j.c,194 :: 		unsigned short readNack() {
;i2c_soft_j.c,195 :: 		sdaHi();
	CALL       _sdaHi+0
;i2c_soft_j.c,196 :: 		return readBit() == 1 ? 0 : 1;
	CALL       _readBit+0
	MOVF       R0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_readNack14
	CLRF       ?FLOC___readNackT14+0
	GOTO       L_readNack15
L_readNack14:
	MOVLW      1
	MOVWF      ?FLOC___readNackT14+0
L_readNack15:
	MOVF       ?FLOC___readNackT14+0, 0
	MOVWF      R0
;i2c_soft_j.c,197 :: 		}
L_end_readNack:
	RETURN
; end of _readNack

_Write_Ack:

;i2c_soft_j.c,200 :: 		void Write_Ack() {
;i2c_soft_j.c,201 :: 		sdaLo();
	CALL       _sdaLo+0
;i2c_soft_j.c,202 :: 		sclHi();
	CALL       _sclHi+0
;i2c_soft_j.c,203 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,204 :: 		sclLo();
	CALL       _sclLo+0
;i2c_soft_j.c,205 :: 		}
L_end_Write_Ack:
	RETURN
; end of _Write_Ack

_Write_Nack:

;i2c_soft_j.c,208 :: 		void Write_Nack() {
;i2c_soft_j.c,209 :: 		sdaHi();
	CALL       _sdaHi+0
;i2c_soft_j.c,210 :: 		sclHi();
	CALL       _sclHi+0
;i2c_soft_j.c,211 :: 		I2C_Delay();
	CALL       _I2C_Delay+0
;i2c_soft_j.c,212 :: 		sclLo();
	CALL       _sclLo+0
;i2c_soft_j.c,213 :: 		}
L_end_Write_Nack:
	RETURN
; end of _Write_Nack

_doStartWriteAckStop:

;i2c_soft_j.c,217 :: 		unsigned short doStartWriteAckStop(char data_byte) {
;i2c_soft_j.c,218 :: 		start();
	CALL       _start+0
;i2c_soft_j.c,219 :: 		writeByte(data_byte);
	MOVF       FARG_doStartWriteAckStop_data_byte+0, 0
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;i2c_soft_j.c,221 :: 		if (readAck()) {
	CALL       _readAck+0
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_doStartWriteAckStop16
;i2c_soft_j.c,222 :: 		return 1;
	MOVLW      1
	MOVWF      R0
	GOTO       L_end_doStartWriteAckStop
;i2c_soft_j.c,223 :: 		}
L_doStartWriteAckStop16:
;i2c_soft_j.c,224 :: 		stop();
	CALL       _stop+0
;i2c_soft_j.c,225 :: 		return 0;
	CLRF       R0
;i2c_soft_j.c,226 :: 		}
L_end_doStartWriteAckStop:
	RETURN
; end of _doStartWriteAckStop

_doStartWriteAckStop_Sring:

;i2c_soft_j.c,231 :: 		unsigned short doStartWriteAckStop_Sring(char data_bytes[], char data_length) {
;i2c_soft_j.c,233 :: 		start();
	CALL       _start+0
;i2c_soft_j.c,234 :: 		for (i = 0; i < data_length; i++) {
	CLRF       doStartWriteAckStop_Sring_i_L0+0
L_doStartWriteAckStop_Sring17:
	MOVF       FARG_doStartWriteAckStop_Sring_data_length+0, 0
	SUBWF      doStartWriteAckStop_Sring_i_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_doStartWriteAckStop_Sring18
;i2c_soft_j.c,235 :: 		writeByte(data_bytes[i]);
	MOVF       doStartWriteAckStop_Sring_i_L0+0, 0
	ADDWF      FARG_doStartWriteAckStop_Sring_data_bytes+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_doStartWriteAckStop_Sring_data_bytes+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;i2c_soft_j.c,236 :: 		if (readAck()) {
	CALL       _readAck+0
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_doStartWriteAckStop_Sring20
;i2c_soft_j.c,237 :: 		return 1;
	MOVLW      1
	MOVWF      R0
	GOTO       L_end_doStartWriteAckStop_Sring
;i2c_soft_j.c,238 :: 		}
L_doStartWriteAckStop_Sring20:
;i2c_soft_j.c,234 :: 		for (i = 0; i < data_length; i++) {
	INCF       doStartWriteAckStop_Sring_i_L0+0, 1
;i2c_soft_j.c,239 :: 		}
	GOTO       L_doStartWriteAckStop_Sring17
L_doStartWriteAckStop_Sring18:
;i2c_soft_j.c,240 :: 		stop();
	CALL       _stop+0
;i2c_soft_j.c,241 :: 		return 0;
	CLRF       R0
;i2c_soft_j.c,242 :: 		}
L_end_doStartWriteAckStop_Sring:
	RETURN
; end of _doStartWriteAckStop_Sring

_dec_to_bcd:

;mcp8901_lib.c,20 :: 		char dec_to_bcd (char value) {
;mcp8901_lib.c,23 :: 		buf = value / 10;
	MOVLW      10
	MOVWF      R4
	MOVF       FARG_dec_to_bcd_value+0, 0
	MOVWF      R0
	CALL       _Div_8X8_U+0
	MOVF       R0, 0
	MOVWF      FLOC__dec_to_bcd+0
	MOVF       FLOC__dec_to_bcd+0, 0
	MOVWF      R0
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
;mcp8901_lib.c,24 :: 		value -= buf * 10;
	MOVF       R0, 0
	SUBWF      FARG_dec_to_bcd_value+0, 0
	MOVWF      R2
	MOVF       R2, 0
	MOVWF      FARG_dec_to_bcd_value+0
;mcp8901_lib.c,25 :: 		buf <<= 4;
	MOVF       FLOC__dec_to_bcd+0, 0
	MOVWF      R0
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
;mcp8901_lib.c,26 :: 		return buf + value;
	MOVF       R2, 0
	ADDWF      R0, 1
;mcp8901_lib.c,27 :: 		}
L_end_dec_to_bcd:
	RETURN
; end of _dec_to_bcd

_bcd_to_dec:

;mcp8901_lib.c,31 :: 		char bcd_to_dec (char value) {
;mcp8901_lib.c,34 :: 		buf = value >> 4;
	MOVF       FARG_bcd_to_dec_value+0, 0
	MOVWF      R0
	LSRF       R0, 1
	LSRF       R0, 1
	LSRF       R0, 1
	LSRF       R0, 1
;mcp8901_lib.c,35 :: 		buf *= 10;
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
;mcp8901_lib.c,36 :: 		buf += value & 0x0F;
	MOVLW      15
	ANDWF      FARG_bcd_to_dec_value+0, 0
	MOVWF      R1
	MOVF       R1, 0
	ADDWF      R0, 1
;mcp8901_lib.c,37 :: 		return buf;
;mcp8901_lib.c,38 :: 		}
L_end_bcd_to_dec:
	RETURN
; end of _bcd_to_dec

_Init_MCP8901:

;mcp8901_lib.c,43 :: 		void Init_MCP8901(char config) {
;mcp8901_lib.c,46 :: 		start();
	CALL       _start+0
;mcp8901_lib.c,47 :: 		writeByte(addr);       // ADDR + Write (0)
	MOVLW      144
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,48 :: 		readAck();
	CALL       _readAck+0
;mcp8901_lib.c,49 :: 		writeByte(0x01);     //
	MOVLW      1
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,50 :: 		readAck();
	CALL       _readAck+0
;mcp8901_lib.c,51 :: 		writeByte(config);   // ADC 12 bit
	MOVF       FARG_Init_MCP8901_config+0, 0
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,52 :: 		readAck();
	CALL       _readAck+0
;mcp8901_lib.c,53 :: 		stop();
	CALL       _stop+0
;mcp8901_lib.c,54 :: 		Delay_msec(10);
	MOVLW      10
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;mcp8901_lib.c,55 :: 		}
L_end_Init_MCP8901:
	RETURN
; end of _Init_MCP8901

_MCP8901_Write:

;mcp8901_lib.c,59 :: 		void MCP8901_Write(char addr_reg, char dath, char datl) {
;mcp8901_lib.c,62 :: 		start();
	CALL       _start+0
;mcp8901_lib.c,63 :: 		writeByte(addr);       // ADDR + Write (0)
	MOVLW      144
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,64 :: 		readAck();
	CALL       _readAck+0
;mcp8901_lib.c,65 :: 		writeByte(addr_reg);
	MOVF       FARG_MCP8901_Write_addr_reg+0, 0
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,66 :: 		readAck();
	CALL       _readAck+0
;mcp8901_lib.c,67 :: 		writeByte(dath);
	MOVF       FARG_MCP8901_Write_dath+0, 0
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,68 :: 		readAck();
	CALL       _readAck+0
;mcp8901_lib.c,69 :: 		writeByte(datl);
	MOVF       FARG_MCP8901_Write_datl+0, 0
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,70 :: 		readAck();
	CALL       _readAck+0
;mcp8901_lib.c,71 :: 		stop();
	CALL       _stop+0
;mcp8901_lib.c,72 :: 		}
L_end_MCP8901_Write:
	RETURN
; end of _MCP8901_Write

_MCP8901_Read:

;mcp8901_lib.c,76 :: 		void MCP8901_Read(char addr_reg) {
;mcp8901_lib.c,78 :: 		start();
	CALL       _start+0
;mcp8901_lib.c,79 :: 		writeByte(addr);            // ADDR + Write (0)
	MOVLW      144
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,80 :: 		data1 = readAck()+0x30;
	CALL       _readAck+0
	MOVLW      48
	ADDWF      R0, 0
	MOVWF      _data1+0
	CLRF       _data1+1
	MOVLW      0
	ADDWFC     _data1+1, 1
;mcp8901_lib.c,81 :: 		writeByte(addr_reg);
	MOVF       FARG_MCP8901_Read_addr_reg+0, 0
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,82 :: 		data2 = readAck()+0x30;
	CALL       _readAck+0
	MOVLW      48
	ADDWF      R0, 0
	MOVWF      _data2+0
	CLRF       _data2+1
	MOVLW      0
	ADDWFC     _data2+1, 1
;mcp8901_lib.c,83 :: 		start();                      // Repeat start!
	CALL       _start+0
;mcp8901_lib.c,84 :: 		writeByte(addr+1);       // Addr + Read (1)
	MOVLW      145
	MOVWF      FARG_writeByte_data_byte+0
	CALL       _writeByte+0
;mcp8901_lib.c,85 :: 		data3 = readAck()+0x30;
	CALL       _readAck+0
	MOVLW      48
	ADDWF      R0, 0
	MOVWF      _data3+0
	CLRF       _data3+1
	MOVLW      0
	ADDWFC     _data3+1, 1
;mcp8901_lib.c,86 :: 		temp_msb = readByte();
	CALL       _readByte+0
	MOVF       R0, 0
	MOVWF      _temp_msb+0
;mcp8901_lib.c,87 :: 		Write_Ack();
	CALL       _Write_Ack+0
;mcp8901_lib.c,88 :: 		temp_lsb = readByte();
	CALL       _readByte+0
	MOVF       R0, 0
	MOVWF      _temp_lsb+0
;mcp8901_lib.c,89 :: 		Write_Nack();
	CALL       _Write_Nack+0
;mcp8901_lib.c,90 :: 		stop();
	CALL       _stop+0
;mcp8901_lib.c,91 :: 		}
L_end_MCP8901_Read:
	RETURN
; end of _MCP8901_Read

_Init_PIC:

;init_pic16f182x.c,10 :: 		void Init_PIC () {
;init_pic16f182x.c,13 :: 		ANSELA = 0b00000000;     //
	CLRF       ANSELA+0
;init_pic16f182x.c,14 :: 		ANSELB = 0b00000000;     //    Solo per PIC16F1829
	CLRF       ANSELB+0
;init_pic16f182x.c,15 :: 		ANSELC = 0b00000000;     //
	CLRF       ANSELC+0
;init_pic16f182x.c,16 :: 		ADCON0 = 0b00001000;     // AN2, Disable ADC
	MOVLW      8
	MOVWF      ADCON0+0
;init_pic16f182x.c,17 :: 		ADCON1 = 0b10100011;     // Fosc/32, Dx justified, Vss, FVR (rif. +Vcc)
	MOVLW      163
	MOVWF      ADCON1+0
;init_pic16f182x.c,19 :: 		FVRCON = 0b00000001;     // Riferimento di tensione interno = 1024 mV per ADC
	MOVLW      1
	MOVWF      FVRCON+0
;init_pic16f182x.c,24 :: 		C1ON_bit = 0;            // Disable comparators
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;init_pic16f182x.c,25 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;init_pic16f182x.c,27 :: 		MDCON = 0b00000000;     // MD OFF
	CLRF       MDCON+0
;init_pic16f182x.c,30 :: 		OSCCON = 0b11110000;     // Oscillatore 8MHz + PLL = 32MHz
	MOVLW      240
	MOVWF      OSCCON+0
;init_pic16f182x.c,32 :: 		OPTION_REG = 0b00000111;
	MOVLW      7
	MOVWF      OPTION_REG+0
;init_pic16f182x.c,33 :: 		TMR0 = 0;
	CLRF       TMR0+0
;init_pic16f182x.c,34 :: 		INTCON.TMR0IF = 0;
	BCF        INTCON+0, 2
;init_pic16f182x.c,42 :: 		INTCON &= 0b00111111;     // Disabilita interrupt
	MOVLW      63
	ANDWF      INTCON+0, 1
;init_pic16f182x.c,45 :: 		CCP1CON = 0b00000000;     // 0b00001100
	CLRF       CCP1CON+0
;init_pic16f182x.c,46 :: 		CCP2CON = 0b00000000;
	CLRF       CCP2CON+0
;init_pic16f182x.c,54 :: 		PORTA = 0;
	CLRF       PORTA+0
;init_pic16f182x.c,55 :: 		PORTB = 0;                // Solo per PIC16F1829
	CLRF       PORTB+0
;init_pic16f182x.c,56 :: 		PORTC = 0;
	CLRF       PORTC+0
;init_pic16f182x.c,57 :: 		TRISA = 0b11000110;       // presenti: --XX.XXXX
	MOVLW      198
	MOVWF      TRISA+0
;init_pic16f182x.c,58 :: 		TRISB = 0b00000000;       // presenti: XXXX.----     Solo per PIC16F1829
	CLRF       TRISB+0
;init_pic16f182x.c,59 :: 		TRISC = 0b01001001;       // presenti: --XX.XXXX  per PIC16F1829: XXXX.XXXX
	MOVLW      73
	MOVWF      TRISC+0
;init_pic16f182x.c,60 :: 		WPUA = 0b00110100;        // PULL-UP
	MOVLW      52
	MOVWF      WPUA+0
;init_pic16f182x.c,61 :: 		WPUB = 0b11110000;        // PULL-UP                Solo per PIC16F1829
	MOVLW      240
	MOVWF      WPUB+0
;init_pic16f182x.c,62 :: 		WPUC = 0b01111001;        // PULL-UP
	MOVLW      121
	MOVWF      WPUC+0
;init_pic16f182x.c,63 :: 		OPTION_REG.B7 =0;         // Weak pull-ups are enabled
	BCF        OPTION_REG+0, 7
;init_pic16f182x.c,65 :: 		}
L_end_Init_PIC:
	RETURN
; end of _Init_PIC

_Delay_2us:

;nokia3310_lib_v2.c,51 :: 		void Delay_2us () {
;nokia3310_lib_v2.c,52 :: 		asm nop
	NOP
;nokia3310_lib_v2.c,53 :: 		}
L_end_Delay_2us:
	RETURN
; end of _Delay_2us

_initlcd:

;nokia3310_lib_v2.c,55 :: 		void initlcd(void)
;nokia3310_lib_v2.c,57 :: 		_RES = 1;      // Set _RES HIGH.
	BSF        LATC+0, 7
;nokia3310_lib_v2.c,58 :: 		Delay_msec(2);
	MOVLW      2
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;nokia3310_lib_v2.c,59 :: 		_SCE = 0;      // Disable Chip.
	BCF        LATB+0, 7
;nokia3310_lib_v2.c,60 :: 		Delay_msec(2);
	MOVLW      2
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;nokia3310_lib_v2.c,61 :: 		_RES = 0;      // Reset the LCD.
	BCF        LATC+0, 7
;nokia3310_lib_v2.c,62 :: 		Delay_msec(100);   // Wait 100ms.
	MOVLW      100
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;nokia3310_lib_v2.c,63 :: 		Delay_msec(2);
	MOVLW      2
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;nokia3310_lib_v2.c,64 :: 		_RES = 1;      // Awake LCD from RESET state.
	BSF        LATC+0, 7
;nokia3310_lib_v2.c,65 :: 		Delay_msec(2);
	MOVLW      2
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;nokia3310_lib_v2.c,67 :: 		writecom(0x21);      // Activate Chip and H=1.
	MOVLW      33
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,68 :: 		writecom(0xC2);      // Set LCD Voltage to about 7V.
	MOVLW      194
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,69 :: 		writecom(0x13);      // Adjust voltage bias.
	MOVLW      19
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,70 :: 		writecom(0x20);      // Horizontal addressing and H=0.
	MOVLW      32
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,71 :: 		writecom(0x09);      // Activate all segments.
	MOVLW      9
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,72 :: 		delay_ms(100);
	MOVLW      5
	MOVWF      R11
	MOVLW      15
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L_initlcd21:
	DECFSZ     R13, 1
	GOTO       L_initlcd21
	DECFSZ     R12, 1
	GOTO       L_initlcd21
	DECFSZ     R11, 1
	GOTO       L_initlcd21
;nokia3310_lib_v2.c,74 :: 		writecom(0x08);      // Blank the Display.
	MOVLW      8
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,75 :: 		delay_msec(100);
	MOVLW      100
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;nokia3310_lib_v2.c,76 :: 		writecom(0x0C);      // Display Normal.
	MOVLW      12
	MOVWF      FARG_writecom+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,78 :: 		delay_msec(100);
	MOVLW      100
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;nokia3310_lib_v2.c,79 :: 		cursorxy(0,0);      // Cursor Home.
	CLRF       FARG_cursorxy+0
	CLRF       FARG_cursorxy+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,80 :: 		clearram();
	CALL       _clearram+0
;nokia3310_lib_v2.c,81 :: 		}
L_end_initlcd:
	RETURN
; end of _initlcd

_writecom:

;nokia3310_lib_v2.c,83 :: 		void writecom(char command_in)
;nokia3310_lib_v2.c,85 :: 		D_C = 0;            // Select Command register.
	BCF        LATB+0, 6
;nokia3310_lib_v2.c,86 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,87 :: 		_SCE = 0;            // Select Chip.
	BCF        LATB+0, 7
;nokia3310_lib_v2.c,88 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,89 :: 		clockdata(command_in);   // Clock in command bits.
	MOVF       FARG_writecom_command_in+0, 0
	MOVWF      FARG_clockdata+0
	CALL       _clockdata+0
;nokia3310_lib_v2.c,90 :: 		_SCE = 1;            // Deselect Chip.
	BSF        LATB+0, 7
;nokia3310_lib_v2.c,91 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,92 :: 		}
L_end_writecom:
	RETURN
; end of _writecom

_writedata:

;nokia3310_lib_v2.c,94 :: 		void writedata(char data_in)
;nokia3310_lib_v2.c,96 :: 		D_C = 1;            // Select Data register.
	BSF        LATB+0, 6
;nokia3310_lib_v2.c,97 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,98 :: 		_SCE = 0;            // Select Chip.
	BCF        LATB+0, 7
;nokia3310_lib_v2.c,99 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,100 :: 		clockdata(data_in);      // Clock in data bits.
	MOVF       FARG_writedata_data_in+0, 0
	MOVWF      FARG_clockdata+0
	CALL       _clockdata+0
;nokia3310_lib_v2.c,101 :: 		_SCE = 1;            // Deselect Chip.
	BSF        LATB+0, 7
;nokia3310_lib_v2.c,102 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,103 :: 		}
L_end_writedata:
	RETURN
; end of _writedata

_clockdata:

;nokia3310_lib_v2.c,105 :: 		void clockdata(char bits_in){
;nokia3310_lib_v2.c,107 :: 		for (bitcnt=8; bitcnt>0; bitcnt--){
	MOVLW      8
	MOVWF      clockdata_bitcnt_L0+0
	MOVLW      0
	MOVWF      clockdata_bitcnt_L0+1
L_clockdata22:
	MOVLW      128
	MOVWF      R0
	MOVLW      128
	XORWF      clockdata_bitcnt_L0+1, 0
	SUBWF      R0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__clockdata284
	MOVF       clockdata_bitcnt_L0+0, 0
	SUBLW      0
L__clockdata284:
	BTFSC      STATUS+0, 0
	GOTO       L_clockdata23
;nokia3310_lib_v2.c,108 :: 		SCK = 0;
	BCF        LATB+0, 4
;nokia3310_lib_v2.c,109 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,111 :: 		if ((bits_in&0x80)==0x80)   // PCD8544 clocks in the MSb first.
	MOVLW      128
	ANDWF      FARG_clockdata_bits_in+0, 0
	MOVWF      R1
	MOVF       R1, 0
	XORLW      128
	BTFSS      STATUS+0, 2
	GOTO       L_clockdata25
;nokia3310_lib_v2.c,113 :: 		SDI=1;
	BSF        LATB+0, 5
;nokia3310_lib_v2.c,114 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,115 :: 		}
	GOTO       L_clockdata26
L_clockdata25:
;nokia3310_lib_v2.c,118 :: 		SDI=0;
	BCF        LATB+0, 5
;nokia3310_lib_v2.c,119 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,120 :: 		}
L_clockdata26:
;nokia3310_lib_v2.c,121 :: 		SCK = 1;         // Data is clocked on the rising edge of SCK.
	BSF        LATB+0, 4
;nokia3310_lib_v2.c,122 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,125 :: 		bits_in=bits_in<<1;
	LSLF       FARG_clockdata_bits_in+0, 1
;nokia3310_lib_v2.c,107 :: 		for (bitcnt=8; bitcnt>0; bitcnt--){
	MOVLW      1
	SUBWF      clockdata_bitcnt_L0+0, 1
	MOVLW      0
	SUBWFB     clockdata_bitcnt_L0+1, 1
;nokia3310_lib_v2.c,128 :: 		}
	GOTO       L_clockdata22
L_clockdata23:
;nokia3310_lib_v2.c,129 :: 		}
L_end_clockdata:
	RETURN
; end of _clockdata

_clearram:

;nokia3310_lib_v2.c,131 :: 		void clearram(void)
;nokia3310_lib_v2.c,134 :: 		cursorxy(0,0);
	CLRF       FARG_cursorxy+0
	CLRF       FARG_cursorxy+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,136 :: 		for (ddram=504;ddram>0;ddram--)   writedata(0x00);  // 6*84 = 504 DDRAM addresses.
	MOVLW      248
	MOVWF      clearram_ddram_L0+0
	MOVLW      1
	MOVWF      clearram_ddram_L0+1
L_clearram27:
	MOVLW      128
	MOVWF      R0
	MOVLW      128
	XORWF      clearram_ddram_L0+1, 0
	SUBWF      R0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__clearram286
	MOVF       clearram_ddram_L0+0, 0
	SUBLW      0
L__clearram286:
	BTFSC      STATUS+0, 0
	GOTO       L_clearram28
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
	MOVLW      1
	SUBWF      clearram_ddram_L0+0, 1
	MOVLW      0
	SUBWFB     clearram_ddram_L0+1, 1
	GOTO       L_clearram27
L_clearram28:
;nokia3310_lib_v2.c,137 :: 		}
L_end_clearram:
	RETURN
; end of _clearram

_cursorxy:

;nokia3310_lib_v2.c,139 :: 		void cursorxy(char x, char y)
;nokia3310_lib_v2.c,141 :: 		writecom(0x40|(y&0x07));   // Y axis
	MOVLW      7
	ANDWF      FARG_cursorxy_y+0, 0
	MOVWF      R0
	MOVLW      64
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,142 :: 		writecom(0x80|(x&0x7f));   // X axis
	MOVLW      127
	ANDWF      FARG_cursorxy_x+0, 0
	MOVWF      R0
	MOVLW      128
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,143 :: 		}
L_end_cursorxy:
	RETURN
; end of _cursorxy

_Set_Colonna_x:

;nokia3310_lib_v2.c,145 :: 		void Set_Colonna_x(char x)
;nokia3310_lib_v2.c,147 :: 		writecom(0x80|(x&0x7f));   // X axis
	MOVLW      127
	ANDWF      FARG_Set_Colonna_x_x+0, 0
	MOVWF      R0
	MOVLW      128
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,148 :: 		}
L_end_Set_Colonna_x:
	RETURN
; end of _Set_Colonna_x

_Set_Page_y:

;nokia3310_lib_v2.c,150 :: 		void Set_Page_y(char y)
;nokia3310_lib_v2.c,152 :: 		writecom(0x40|(y&0x07));   // Y axis
	MOVLW      7
	ANDWF      FARG_Set_Page_y_y+0, 0
	MOVWF      R0
	MOVLW      64
	IORWF       R0, 0
	MOVWF      FARG_writecom_command_in+0
	CALL       _writecom+0
;nokia3310_lib_v2.c,153 :: 		}
L_end_Set_Page_y:
	RETURN
; end of _Set_Page_y

_nokia_erase_y:

;nokia3310_lib_v2.c,155 :: 		void nokia_erase_y(char ynokia) {
;nokia3310_lib_v2.c,158 :: 		for(row=0;row<79;row++) {
	CLRF       nokia_erase_y_row_L0+0
L_nokia_erase_y30:
	MOVLW      79
	SUBWF      nokia_erase_y_row_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_nokia_erase_y31
;nokia3310_lib_v2.c,159 :: 		cursorxy(row,ynokia);
	MOVF       nokia_erase_y_row_L0+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       FARG_nokia_erase_y_ynokia+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,160 :: 		putchar(' ', 0);
	MOVLW      32
	MOVWF      FARG_putchar+0
	CLRF       FARG_putchar+0
	CALL       _putchar+0
;nokia3310_lib_v2.c,158 :: 		for(row=0;row<79;row++) {
	INCF       nokia_erase_y_row_L0+0, 1
;nokia3310_lib_v2.c,161 :: 		}
	GOTO       L_nokia_erase_y30
L_nokia_erase_y31:
;nokia3310_lib_v2.c,162 :: 		}
L_end_nokia_erase_y:
	RETURN
; end of _nokia_erase_y

_nokia_erase_x:

;nokia3310_lib_v2.c,164 :: 		void nokia_erase_x(char xnokia) {
;nokia3310_lib_v2.c,167 :: 		for (column=0;column!=6;column++){
	CLRF       nokia_erase_x_column_L0+0
L_nokia_erase_x33:
	MOVF       nokia_erase_x_column_L0+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_nokia_erase_x34
;nokia3310_lib_v2.c,168 :: 		cursorxy(xnokia,column);
	MOVF       FARG_nokia_erase_x_xnokia+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       nokia_erase_x_column_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,169 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,170 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,171 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,172 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,173 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,174 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,167 :: 		for (column=0;column!=6;column++){
	INCF       nokia_erase_x_column_L0+0, 1
;nokia3310_lib_v2.c,175 :: 		}
	GOTO       L_nokia_erase_x33
L_nokia_erase_x34:
;nokia3310_lib_v2.c,176 :: 		}
L_end_nokia_erase_x:
	RETURN
; end of _nokia_erase_x

_nokia_colonna_Bitmap:

;nokia3310_lib_v2.c,179 :: 		void nokia_colonna_Bitmap(char colonna) {
;nokia3310_lib_v2.c,182 :: 		temp = colonna;
	MOVF       FARG_nokia_colonna_Bitmap_colonna+0, 0
	MOVWF      nokia_colonna_Bitmap_temp_L0+0
;nokia3310_lib_v2.c,183 :: 		while (temp >= 10) {
L_nokia_colonna_Bitmap36:
	MOVLW      10
	SUBWF      nokia_colonna_Bitmap_temp_L0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_nokia_colonna_Bitmap37
;nokia3310_lib_v2.c,184 :: 		temp -= 10;
	MOVLW      10
	SUBWF      nokia_colonna_Bitmap_temp_L0+0, 1
;nokia3310_lib_v2.c,185 :: 		}
	GOTO       L_nokia_colonna_Bitmap36
L_nokia_colonna_Bitmap37:
;nokia3310_lib_v2.c,186 :: 		for (page_y=0; page_y<=5; page_y++){
	CLRF       nokia_colonna_Bitmap_page_y_L0+0
L_nokia_colonna_Bitmap38:
	MOVF       nokia_colonna_Bitmap_page_y_L0+0, 0
	SUBLW      5
	BTFSS      STATUS+0, 0
	GOTO       L_nokia_colonna_Bitmap39
;nokia3310_lib_v2.c,187 :: 		cursorxy(colonna, page_y);
	MOVF       FARG_nokia_colonna_Bitmap_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       nokia_colonna_Bitmap_page_y_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,186 :: 		for (page_y=0; page_y<=5; page_y++){
	INCF       nokia_colonna_Bitmap_page_y_L0+0, 1
;nokia3310_lib_v2.c,189 :: 		}
	GOTO       L_nokia_colonna_Bitmap38
L_nokia_colonna_Bitmap39:
;nokia3310_lib_v2.c,190 :: 		}
L_end_nokia_colonna_Bitmap:
	RETURN
; end of _nokia_colonna_Bitmap

_Draw_line_oriz_3310:

;nokia3310_lib_v2.c,192 :: 		void Draw_line_oriz_3310(unsigned short X1, unsigned short X2, unsigned short posizione) {
;nokia3310_lib_v2.c,196 :: 		}
L_end_Draw_line_oriz_3310:
	RETURN
; end of _Draw_line_oriz_3310

_Write_Font_16x10:

;nokia3310_lib_v2.c,202 :: 		void Write_Font_16x10(unsigned short Carattere, unsigned short page, unsigned short colonna) {
;nokia3310_lib_v2.c,203 :: 		unsigned short temp_count, indice_carattere, indice = 0;
	CLRF       Write_Font_16x10_indice_L0+0
;nokia3310_lib_v2.c,205 :: 		indice_carattere = 10;
	MOVLW      10
	MOVWF      Write_Font_16x10_indice_carattere_L0+0
;nokia3310_lib_v2.c,206 :: 		indice_carattere *= (Carattere * 2);
	MOVF       FARG_Write_Font_16x10_Carattere+0, 0
	MOVWF      R0
	LSLF       R0, 1
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	MOVWF      Write_Font_16x10_indice_carattere_L0+0
;nokia3310_lib_v2.c,207 :: 		temp_count = 0;
	CLRF       Write_Font_16x10_temp_count_L0+0
;nokia3310_lib_v2.c,208 :: 		if (Carattere == 11) { indice_carattere = 220; Page ++; }  // ','
	MOVF       FARG_Write_Font_16x10_Carattere+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Font_16x1041
	MOVLW      220
	MOVWF      Write_Font_16x10_indice_carattere_L0+0
	INCF       FARG_Write_Font_16x10_page+0, 1
L_Write_Font_16x1041:
;nokia3310_lib_v2.c,210 :: 		_loop:
___Write_Font_16x10__loop:
;nokia3310_lib_v2.c,212 :: 		temp_count = 0;
	CLRF       Write_Font_16x10_temp_count_L0+0
;nokia3310_lib_v2.c,214 :: 		Set_Page_y(page);               // Pagina
	MOVF       FARG_Write_Font_16x10_page+0, 0
	MOVWF      FARG_Set_Page_y_y+0
	CALL       _Set_Page_y+0
;nokia3310_lib_v2.c,215 :: 		Set_Colonna_x(colonna) ;      // Indirizzo iniziale
	MOVF       FARG_Write_Font_16x10_colonna+0, 0
	MOVWF      FARG_Set_Colonna_x_x+0
	CALL       _Set_Colonna_x+0
;nokia3310_lib_v2.c,217 :: 		while (temp_count <= 9) {
L_Write_Font_16x1042:
	MOVF       Write_Font_16x10_temp_count_L0+0, 0
	SUBLW      9
	BTFSS      STATUS+0, 0
	GOTO       L_Write_Font_16x1043
;nokia3310_lib_v2.c,218 :: 		writedata(Font16x10 [indice_carattere]);
	MOVLW      _Font16x10+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Font16x10+0)
	MOVWF      FSR0H
	MOVF       Write_Font_16x10_indice_carattere_L0+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,219 :: 		indice ++;
	INCF       Write_Font_16x10_indice_L0+0, 1
;nokia3310_lib_v2.c,220 :: 		indice_carattere ++;
	INCF       Write_Font_16x10_indice_carattere_L0+0, 1
;nokia3310_lib_v2.c,221 :: 		temp_count ++;
	INCF       Write_Font_16x10_temp_count_L0+0, 1
;nokia3310_lib_v2.c,222 :: 		}
	GOTO       L_Write_Font_16x1042
L_Write_Font_16x1043:
;nokia3310_lib_v2.c,223 :: 		writedata(0);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,225 :: 		if (indice_carattere >= 222) { return; }    // per la virgola una sola volta
	MOVLW      222
	SUBWF      Write_Font_16x10_indice_carattere_L0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Write_Font_16x1044
	GOTO       L_end_Write_Font_16x10
L_Write_Font_16x1044:
;nokia3310_lib_v2.c,226 :: 		if (indice <= 12) {
	MOVF       Write_Font_16x10_indice_L0+0, 0
	SUBLW      12
	BTFSS      STATUS+0, 0
	GOTO       L_Write_Font_16x1045
;nokia3310_lib_v2.c,227 :: 		Page ++;
	INCF       FARG_Write_Font_16x10_page+0, 1
;nokia3310_lib_v2.c,228 :: 		goto _loop;
	GOTO       ___Write_Font_16x10__loop
;nokia3310_lib_v2.c,229 :: 		}
L_Write_Font_16x1045:
;nokia3310_lib_v2.c,230 :: 		}
L_end_Write_Font_16x10:
	RETURN
; end of _Write_Font_16x10

_Frequenza_16x10:

;nokia3310_lib_v2.c,234 :: 		void Frequenza_16x10(char page, char colonna) {
;nokia3310_lib_v2.c,237 :: 		if (cen_fm == 1) {
	MOVF       _cen_fm+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_Frequenza_16x1046
;nokia3310_lib_v2.c,238 :: 		Write_Font_16x10(cen_fm, page, colonna);             // centinaia
	MOVF       _cen_fm+0, 0
	MOVWF      FARG_Write_Font_16x10_Carattere+0
	MOVF       FARG_Frequenza_16x10_page+0, 0
	MOVWF      FARG_Write_Font_16x10_page+0
	MOVF       FARG_Frequenza_16x10_colonna+0, 0
	MOVWF      FARG_Write_Font_16x10_colonna+0
	CALL       _Write_Font_16x10+0
;nokia3310_lib_v2.c,239 :: 		}
	GOTO       L_Frequenza_16x1047
L_Frequenza_16x1046:
;nokia3310_lib_v2.c,240 :: 		else Write_Font_16x10(10, page, colonna);           // null
	MOVLW      10
	MOVWF      FARG_Write_Font_16x10_Carattere+0
	MOVF       FARG_Frequenza_16x10_page+0, 0
	MOVWF      FARG_Write_Font_16x10_page+0
	MOVF       FARG_Frequenza_16x10_colonna+0, 0
	MOVWF      FARG_Write_Font_16x10_colonna+0
	CALL       _Write_Font_16x10+0
L_Frequenza_16x1047:
;nokia3310_lib_v2.c,241 :: 		Write_Font_16x10(dec_fm, page, colonna + 12);      // Decine
	MOVF       _dec_fm+0, 0
	MOVWF      FARG_Write_Font_16x10_Carattere+0
	MOVF       FARG_Frequenza_16x10_page+0, 0
	MOVWF      FARG_Write_Font_16x10_page+0
	MOVLW      12
	ADDWF      FARG_Frequenza_16x10_colonna+0, 0
	MOVWF      FARG_Write_Font_16x10_colonna+0
	CALL       _Write_Font_16x10+0
;nokia3310_lib_v2.c,242 :: 		Write_Font_16x10(uni_fm, page, colonna + 24);     // Unit
	MOVF       _uni_fm+0, 0
	MOVWF      FARG_Write_Font_16x10_Carattere+0
	MOVF       FARG_Frequenza_16x10_page+0, 0
	MOVWF      FARG_Write_Font_16x10_page+0
	MOVLW      24
	ADDWF      FARG_Frequenza_16x10_colonna+0, 0
	MOVWF      FARG_Write_Font_16x10_colonna+0
	CALL       _Write_Font_16x10+0
;nokia3310_lib_v2.c,243 :: 		Write_Font_16x10(11, page, colonna + 36);      // Simbolo ','
	MOVLW      11
	MOVWF      FARG_Write_Font_16x10_Carattere+0
	MOVF       FARG_Frequenza_16x10_page+0, 0
	MOVWF      FARG_Write_Font_16x10_page+0
	MOVLW      36
	ADDWF      FARG_Frequenza_16x10_colonna+0, 0
	MOVWF      FARG_Write_Font_16x10_colonna+0
	CALL       _Write_Font_16x10+0
;nokia3310_lib_v2.c,244 :: 		Write_Font_16x10(decimi_fm, page, colonna + 44);  // Decimi
	MOVF       _decimi_fm+0, 0
	MOVWF      FARG_Write_Font_16x10_Carattere+0
	MOVF       FARG_Frequenza_16x10_page+0, 0
	MOVWF      FARG_Write_Font_16x10_page+0
	MOVLW      44
	ADDWF      FARG_Frequenza_16x10_colonna+0, 0
	MOVWF      FARG_Write_Font_16x10_colonna+0
	CALL       _Write_Font_16x10+0
;nokia3310_lib_v2.c,245 :: 		Write_Font_16x10(centesimi_fm, page, colonna + 56);   // Centesimi
	MOVF       _centesimi_fm+0, 0
	MOVWF      FARG_Write_Font_16x10_Carattere+0
	MOVF       FARG_Frequenza_16x10_page+0, 0
	MOVWF      FARG_Write_Font_16x10_page+0
	MOVLW      56
	ADDWF      FARG_Frequenza_16x10_colonna+0, 0
	MOVWF      FARG_Write_Font_16x10_colonna+0
	CALL       _Write_Font_16x10+0
;nokia3310_lib_v2.c,247 :: 		}
L_end_Frequenza_16x10:
	RETURN
; end of _Frequenza_16x10

_putchar:

;nokia3310_lib_v2.c,252 :: 		void putchar(char character, char doppio){
;nokia3310_lib_v2.c,256 :: 		if ((character<0x20)||(character>0x80)) return; // Exit function if character is not found.
	MOVLW      32
	SUBWF      FARG_putchar_character+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L__putchar240
	MOVF       FARG_putchar_character+0, 0
	SUBLW      128
	BTFSS      STATUS+0, 0
	GOTO       L__putchar240
	GOTO       L_putchar50
L__putchar240:
	GOTO       L_end_putchar
L_putchar50:
;nokia3310_lib_v2.c,257 :: 		tablept = (character - 0x20) * 5;
	MOVLW      32
	SUBWF      FARG_putchar_character+0, 0
	MOVWF      R0
	CLRF       R1
	MOVLW      0
	SUBWFB     R1, 1
	MOVLW      5
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	CALL       _Mul_16X16_U+0
	MOVF       R0, 0
	MOVWF      putchar_tablept_L0+0
	MOVF       R1, 0
	MOVWF      putchar_tablept_L0+1
;nokia3310_lib_v2.c,259 :: 		for (count=5;count>0;count--) {
	MOVLW      5
	MOVWF      putchar_count_L0+0
L_putchar51:
	MOVF       putchar_count_L0+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_putchar52
;nokia3310_lib_v2.c,260 :: 		if (doppio.F7) char_column = ~table[tablept];
	BTFSS      FARG_putchar_doppio+0, 7
	GOTO       L_putchar54
	MOVLW      _table+0
	ADDWF      putchar_tablept_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     putchar_tablept_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	COMF       R0, 0
	MOVWF      putchar_char_column_L0+0
	GOTO       L_putchar55
L_putchar54:
;nokia3310_lib_v2.c,261 :: 		else char_column = table[tablept];
	MOVLW      _table+0
	ADDWF      putchar_tablept_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     putchar_tablept_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      putchar_char_column_L0+0
L_putchar55:
;nokia3310_lib_v2.c,263 :: 		writedata(char_column);
	MOVF       putchar_char_column_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,264 :: 		if (doppio.F0) writedata(char_column);   // Carattere a doppia larghezza
	BTFSS      FARG_putchar_doppio+0, 0
	GOTO       L_putchar56
	MOVF       putchar_char_column_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
L_putchar56:
;nokia3310_lib_v2.c,265 :: 		tablept++;
	INCF       putchar_tablept_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       putchar_tablept_L0+1, 1
;nokia3310_lib_v2.c,259 :: 		for (count=5;count>0;count--) {
	DECF       putchar_count_L0+0, 1
;nokia3310_lib_v2.c,266 :: 		}
	GOTO       L_putchar51
L_putchar52:
;nokia3310_lib_v2.c,267 :: 		if (doppio.F7) writedata(0xFF); // 1 pixel spacing per character (contrasto)
	BTFSS      FARG_putchar_doppio+0, 7
	GOTO       L_putchar57
	MOVLW      255
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_putchar58
L_putchar57:
;nokia3310_lib_v2.c,268 :: 		else writedata(0x00);          // 1 pixel spacing per character.
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_putchar58:
;nokia3310_lib_v2.c,271 :: 		}
L_end_putchar:
	RETURN
; end of _putchar

_Write_Double_String:

;nokia3310_lib_v2.c,282 :: 		void Write_Double_String(char string[], unsigned char Page, unsigned char colonna, char pos_virgola) {
;nokia3310_lib_v2.c,283 :: 		unsigned short i = 0, ii, temp_count, _data;
	CLRF       Write_Double_String_i_L0+0
;nokia3310_lib_v2.c,287 :: 		cursorxy(colonna, (Page & 0x0F));   // Numero di pagina superiore e colonna
	MOVF       FARG_Write_Double_String_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVLW      15
	ANDWF      FARG_Write_Double_String_Page+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,289 :: 		temp_count = 0;
	CLRF       Write_Double_String_temp_count_L0+0
;nokia3310_lib_v2.c,291 :: 		for (ii=0; ii<2; ii++) {
	CLRF       Write_Double_String_ii_L0+0
L_Write_Double_String59:
	MOVLW      2
	SUBWF      Write_Double_String_ii_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Write_Double_String60
;nokia3310_lib_v2.c,293 :: 		while (string [i] != 0) {
L_Write_Double_String62:
	MOVF       Write_Double_String_i_L0+0, 0
	ADDWF      FARG_Write_Double_String_string+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_Double_String_string+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_Write_Double_String63
;nokia3310_lib_v2.c,294 :: 		temp = string [i];             // Legge carattere
	MOVF       Write_Double_String_i_L0+0, 0
	ADDWF      FARG_Write_Double_String_string+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_Double_String_string+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_Double_String_temp_L0+0
	CLRF       Write_Double_String_temp_L0+1
	MOVLW      0
	MOVWF      Write_Double_String_temp_L0+1
;nokia3310_lib_v2.c,295 :: 		if (temp == 176) temp = 0x81; // ''
	MOVLW      0
	XORWF      Write_Double_String_temp_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Write_Double_String298
	MOVLW      176
	XORWF      Write_Double_String_temp_L0+0, 0
L__Write_Double_String298:
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Double_String64
	MOVLW      129
	MOVWF      Write_Double_String_temp_L0+0
	CLRF       Write_Double_String_temp_L0+1
L_Write_Double_String64:
;nokia3310_lib_v2.c,296 :: 		temp -= 0x20;
	MOVLW      32
	SUBWF      Write_Double_String_temp_L0+0, 0
	MOVWF      R0
	MOVLW      0
	SUBWFB     Write_Double_String_temp_L0+1, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      Write_Double_String_temp_L0+0
	MOVF       R1, 0
	MOVWF      Write_Double_String_temp_L0+1
;nokia3310_lib_v2.c,297 :: 		temp *= 5;
	MOVLW      5
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	CALL       _Mul_16X16_U+0
	MOVF       R0, 0
	MOVWF      Write_Double_String_temp_L0+0
	MOVF       R1, 0
	MOVWF      Write_Double_String_temp_L0+1
;nokia3310_lib_v2.c,299 :: 		while (temp_count <= 4) {
L_Write_Double_String65:
	MOVF       Write_Double_String_temp_count_L0+0, 0
	SUBLW      4
	BTFSS      STATUS+0, 0
	GOTO       L_Write_Double_String66
;nokia3310_lib_v2.c,300 :: 		if (Page.F7) _data = ~table[temp];
	BTFSS      FARG_Write_Double_String_Page+0, 7
	GOTO       L_Write_Double_String67
	MOVLW      _table+0
	ADDWF      Write_Double_String_temp_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     Write_Double_String_temp_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	COMF       R0, 0
	MOVWF      Write_Double_String__data_L0+0
	GOTO       L_Write_Double_String68
L_Write_Double_String67:
;nokia3310_lib_v2.c,301 :: 		else _data = table[temp];
	MOVLW      _table+0
	ADDWF      Write_Double_String_temp_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     Write_Double_String_temp_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_Double_String__data_L0+0
L_Write_Double_String68:
;nokia3310_lib_v2.c,303 :: 		if (ii ==0) {             // Prima pagina
	MOVF       Write_Double_String_ii_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Double_String69
;nokia3310_lib_v2.c,304 :: 		temp2 =0x00;
	CLRF       Write_Double_String_temp2_L0+0
;nokia3310_lib_v2.c,305 :: 		if (_data.B0) {
	BTFSS      Write_Double_String__data_L0+0, 0
	GOTO       L_Write_Double_String70
;nokia3310_lib_v2.c,306 :: 		temp2.B1 = 1;
	BSF        Write_Double_String_temp2_L0+0, 1
;nokia3310_lib_v2.c,307 :: 		temp2.B2 = 1;
	BSF        Write_Double_String_temp2_L0+0, 2
;nokia3310_lib_v2.c,308 :: 		}
L_Write_Double_String70:
;nokia3310_lib_v2.c,309 :: 		if (_data.B1) {
	BTFSS      Write_Double_String__data_L0+0, 1
	GOTO       L_Write_Double_String71
;nokia3310_lib_v2.c,310 :: 		temp2.B3 = 1;
	BSF        Write_Double_String_temp2_L0+0, 3
;nokia3310_lib_v2.c,311 :: 		temp2.B4 = 1;
	BSF        Write_Double_String_temp2_L0+0, 4
;nokia3310_lib_v2.c,312 :: 		}
L_Write_Double_String71:
;nokia3310_lib_v2.c,313 :: 		if (_data.B2) {
	BTFSS      Write_Double_String__data_L0+0, 2
	GOTO       L_Write_Double_String72
;nokia3310_lib_v2.c,314 :: 		temp2.B5 = 1;
	BSF        Write_Double_String_temp2_L0+0, 5
;nokia3310_lib_v2.c,315 :: 		temp2.B6 = 1;
	BSF        Write_Double_String_temp2_L0+0, 6
;nokia3310_lib_v2.c,316 :: 		}
L_Write_Double_String72:
;nokia3310_lib_v2.c,317 :: 		if(_data.B3) temp2.B7 = 1;
	BTFSS      Write_Double_String__data_L0+0, 3
	GOTO       L_Write_Double_String73
	BSF        Write_Double_String_temp2_L0+0, 7
L_Write_Double_String73:
;nokia3310_lib_v2.c,319 :: 		}
	GOTO       L_Write_Double_String74
L_Write_Double_String69:
;nokia3310_lib_v2.c,321 :: 		temp2 =0x00;
	CLRF       Write_Double_String_temp2_L0+0
;nokia3310_lib_v2.c,322 :: 		if(_data.B3) temp2.B0 = 1;
	BTFSS      Write_Double_String__data_L0+0, 3
	GOTO       L_Write_Double_String75
	BSF        Write_Double_String_temp2_L0+0, 0
L_Write_Double_String75:
;nokia3310_lib_v2.c,323 :: 		if (_data.B4) {
	BTFSS      Write_Double_String__data_L0+0, 4
	GOTO       L_Write_Double_String76
;nokia3310_lib_v2.c,324 :: 		temp2.B1 = 1;
	BSF        Write_Double_String_temp2_L0+0, 1
;nokia3310_lib_v2.c,325 :: 		temp2.B2 = 1;
	BSF        Write_Double_String_temp2_L0+0, 2
;nokia3310_lib_v2.c,326 :: 		}
L_Write_Double_String76:
;nokia3310_lib_v2.c,327 :: 		if (_data.B5) {
	BTFSS      Write_Double_String__data_L0+0, 5
	GOTO       L_Write_Double_String77
;nokia3310_lib_v2.c,328 :: 		temp2.B3 = 1;
	BSF        Write_Double_String_temp2_L0+0, 3
;nokia3310_lib_v2.c,329 :: 		temp2.B4 = 1;
	BSF        Write_Double_String_temp2_L0+0, 4
;nokia3310_lib_v2.c,330 :: 		}
L_Write_Double_String77:
;nokia3310_lib_v2.c,331 :: 		if (_data.B6) {
	BTFSS      Write_Double_String__data_L0+0, 6
	GOTO       L_Write_Double_String78
;nokia3310_lib_v2.c,332 :: 		temp2.B5 = 1;
	BSF        Write_Double_String_temp2_L0+0, 5
;nokia3310_lib_v2.c,333 :: 		temp2.B6 = 1;
	BSF        Write_Double_String_temp2_L0+0, 6
;nokia3310_lib_v2.c,334 :: 		}
L_Write_Double_String78:
;nokia3310_lib_v2.c,336 :: 		}
L_Write_Double_String74:
;nokia3310_lib_v2.c,338 :: 		writedata(temp2);
	MOVF       Write_Double_String_temp2_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,339 :: 		writedata(temp2);
	MOVF       Write_Double_String_temp2_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,340 :: 		temp_count ++;
	INCF       Write_Double_String_temp_count_L0+0, 1
;nokia3310_lib_v2.c,341 :: 		temp ++;
	INCF       Write_Double_String_temp_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Write_Double_String_temp_L0+1, 1
;nokia3310_lib_v2.c,342 :: 		}
	GOTO       L_Write_Double_String65
L_Write_Double_String66:
;nokia3310_lib_v2.c,344 :: 		if (Page.F7) {
	BTFSS      FARG_Write_Double_String_Page+0, 7
	GOTO       L_Write_Double_String79
;nokia3310_lib_v2.c,345 :: 		writedata(0xFF);         // Doppio Spazio tra caratteri in contrasto
	MOVLW      255
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,346 :: 		writedata(0xFF);
	MOVLW      255
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,347 :: 		}
	GOTO       L_Write_Double_String80
L_Write_Double_String79:
;nokia3310_lib_v2.c,349 :: 		writedata(0x00);        // Doppio Spazio tra caratteri
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,350 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,351 :: 		}
L_Write_Double_String80:
;nokia3310_lib_v2.c,352 :: 		i ++;
	INCF       Write_Double_String_i_L0+0, 1
;nokia3310_lib_v2.c,353 :: 		temp_count = 0;
	CLRF       Write_Double_String_temp_count_L0+0
;nokia3310_lib_v2.c,354 :: 		if (i == pos_virgola && ii == 0) {
	MOVF       Write_Double_String_i_L0+0, 0
	XORWF      FARG_Write_Double_String_pos_virgola+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Double_String83
	MOVF       Write_Double_String_ii_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Double_String83
L__Write_Double_String242:
;nokia3310_lib_v2.c,355 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,356 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,357 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,358 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,359 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,360 :: 		}
	GOTO       L_Write_Double_String84
L_Write_Double_String83:
;nokia3310_lib_v2.c,361 :: 		else if (i == pos_virgola && ii == 1){
	MOVF       Write_Double_String_i_L0+0, 0
	XORWF      FARG_Write_Double_String_pos_virgola+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Double_String87
	MOVF       Write_Double_String_ii_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Double_String87
L__Write_Double_String241:
;nokia3310_lib_v2.c,362 :: 		writedata(0x98);
	MOVLW      152
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,363 :: 		writedata(0x78);
	MOVLW      120
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,364 :: 		writedata(0x38);
	MOVLW      56
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,365 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,366 :: 		writedata(0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,367 :: 		}
L_Write_Double_String87:
L_Write_Double_String84:
;nokia3310_lib_v2.c,368 :: 		}
	GOTO       L_Write_Double_String62
L_Write_Double_String63:
;nokia3310_lib_v2.c,371 :: 		cursorxy(colonna, (Page & 0x0F)+1);  // Numero di pagina inferiore e colonna
	MOVF       FARG_Write_Double_String_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVLW      15
	ANDWF      FARG_Write_Double_String_Page+0, 0
	MOVWF      FARG_cursorxy_y+0
	INCF       FARG_cursorxy_y+0, 1
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,372 :: 		i = 0;
	CLRF       Write_Double_String_i_L0+0
;nokia3310_lib_v2.c,291 :: 		for (ii=0; ii<2; ii++) {
	INCF       Write_Double_String_ii_L0+0, 1
;nokia3310_lib_v2.c,373 :: 		}
	GOTO       L_Write_Double_String59
L_Write_Double_String60:
;nokia3310_lib_v2.c,376 :: 		}
L_end_Write_Double_String:
	RETURN
; end of _Write_Double_String

_putstr:

;nokia3310_lib_v2.c,378 :: 		void putstr(const char *s)
;nokia3310_lib_v2.c,380 :: 		while(*s) {putchar(*s++, 0);}
L_putstr88:
	MOVF       FARG_putstr_s+0, 0
	MOVWF      FSR0L
	MOVF       FARG_putstr_s+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVF       R0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_putstr89
	MOVF       FARG_putstr_s+0, 0
	MOVWF      FSR0L
	MOVF       FARG_putstr_s+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
	INCF       FARG_putstr_s+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_putstr_s+1, 1
	GOTO       L_putstr88
L_putstr89:
;nokia3310_lib_v2.c,382 :: 		}
L_end_putstr:
	RETURN
; end of _putstr

_Write_String:

;nokia3310_lib_v2.c,390 :: 		void Write_String(char string[], unsigned char Page, unsigned char colonna) {
;nokia3310_lib_v2.c,391 :: 		unsigned short i = 0, temp_count, _Data;
	CLRF       Write_String_i_L0+0
;nokia3310_lib_v2.c,394 :: 		cursorxy(colonna, (Page & 0x0F));      // Numero di pagina e colonna
	MOVF       FARG_Write_String_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVLW      15
	ANDWF      FARG_Write_String_Page+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,396 :: 		temp_count = 0;
	CLRF       Write_String_temp_count_L0+0
;nokia3310_lib_v2.c,399 :: 		while (string [i] != 0) {
L_Write_String90:
	MOVF       Write_String_i_L0+0, 0
	ADDWF      FARG_Write_String_string+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_String_string+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_Write_String91
;nokia3310_lib_v2.c,400 :: 		temp = string [i];
	MOVF       Write_String_i_L0+0, 0
	ADDWF      FARG_Write_String_string+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_String_string+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_String_temp_L0+0
	CLRF       Write_String_temp_L0+1
	MOVLW      0
	MOVWF      Write_String_temp_L0+1
;nokia3310_lib_v2.c,401 :: 		temp -= 0x20;
	MOVLW      32
	SUBWF      Write_String_temp_L0+0, 0
	MOVWF      R0
	MOVLW      0
	SUBWFB     Write_String_temp_L0+1, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      Write_String_temp_L0+0
	MOVF       R1, 0
	MOVWF      Write_String_temp_L0+1
;nokia3310_lib_v2.c,402 :: 		temp *= 5;
	MOVLW      5
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	CALL       _Mul_16X16_U+0
	MOVF       R0, 0
	MOVWF      Write_String_temp_L0+0
	MOVF       R1, 0
	MOVWF      Write_String_temp_L0+1
;nokia3310_lib_v2.c,404 :: 		while (temp_count <= 4) {
L_Write_String92:
	MOVF       Write_String_temp_count_L0+0, 0
	SUBLW      4
	BTFSS      STATUS+0, 0
	GOTO       L_Write_String93
;nokia3310_lib_v2.c,405 :: 		if (Page.F7) _Data = ~table[temp]; // Contrasto
	BTFSS      FARG_Write_String_Page+0, 7
	GOTO       L_Write_String94
	MOVLW      _table+0
	ADDWF      Write_String_temp_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     Write_String_temp_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	COMF       R0, 0
	MOVWF      Write_String__Data_L0+0
	GOTO       L_Write_String95
L_Write_String94:
;nokia3310_lib_v2.c,406 :: 		else _Data = table[temp];
	MOVLW      _table+0
	ADDWF      Write_String_temp_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_table+0)
	ADDWFC     Write_String_temp_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_String__Data_L0+0
L_Write_String95:
;nokia3310_lib_v2.c,407 :: 		writedata(_Data);
	MOVF       Write_String__Data_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,408 :: 		if (page.B6) writedata(_Data);  // Doppia larghezza
	BTFSS      FARG_Write_String_Page+0, 6
	GOTO       L_Write_String96
	MOVF       Write_String__Data_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
L_Write_String96:
;nokia3310_lib_v2.c,409 :: 		temp_count ++;
	INCF       Write_String_temp_count_L0+0, 1
;nokia3310_lib_v2.c,410 :: 		temp ++;
	INCF       Write_String_temp_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Write_String_temp_L0+1, 1
;nokia3310_lib_v2.c,411 :: 		}
	GOTO       L_Write_String92
L_Write_String93:
;nokia3310_lib_v2.c,413 :: 		if (Page.F7) writedata(0xFF);  // Spazio tra caratteri (contrasto)
	BTFSS      FARG_Write_String_Page+0, 7
	GOTO       L_Write_String97
	MOVLW      255
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Write_String98
L_Write_String97:
;nokia3310_lib_v2.c,414 :: 		else writedata(0x00);         //                      (normale)
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Write_String98:
;nokia3310_lib_v2.c,415 :: 		i ++;
	INCF       Write_String_i_L0+0, 1
;nokia3310_lib_v2.c,416 :: 		temp_count = 0;
	CLRF       Write_String_temp_count_L0+0
;nokia3310_lib_v2.c,417 :: 		}
	GOTO       L_Write_String90
L_Write_String91:
;nokia3310_lib_v2.c,418 :: 		}
L_end_Write_String:
	RETURN
; end of _Write_String

_Write_Bitmap:

;nokia3310_lib_v2.c,423 :: 		void Write_Bitmap(char bmp) {
;nokia3310_lib_v2.c,425 :: 		unsigned int bitmap_byte=0;
	CLRF       Write_Bitmap_bitmap_byte_L0+0
	CLRF       Write_Bitmap_bitmap_byte_L0+1
	MOVLW      247
	MOVWF      Write_Bitmap_max_bitmap_byte_L0+0
	MOVLW      1
	MOVWF      Write_Bitmap_max_bitmap_byte_L0+1
;nokia3310_lib_v2.c,427 :: 		if (bmp == 4) max_bitmap_byte = 83;
	MOVF       FARG_Write_Bitmap_bmp+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Bitmap99
	MOVLW      83
	MOVWF      Write_Bitmap_max_bitmap_byte_L0+0
	MOVLW      0
	MOVWF      Write_Bitmap_max_bitmap_byte_L0+1
L_Write_Bitmap99:
;nokia3310_lib_v2.c,430 :: 		cursorxy(0, 0);
	CLRF       FARG_cursorxy_x+0
	CLRF       FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,432 :: 		D_C = 1;            // Select Data register.
	BSF        LATB+0, 6
;nokia3310_lib_v2.c,433 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,434 :: 		_SCE = 0;            // Select Chip.
	BCF        LATB+0, 7
;nokia3310_lib_v2.c,435 :: 		Delay_2us();
	CALL       _Delay_2us+0
;nokia3310_lib_v2.c,436 :: 		do {
L_Write_Bitmap100:
;nokia3310_lib_v2.c,441 :: 		if (bmp == 4) clockdata (resistenza [bitmap_byte]);
	MOVF       FARG_Write_Bitmap_bmp+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_Write_Bitmap103
	MOVLW      _resistenza+0
	ADDWF      Write_Bitmap_bitmap_byte_L0+0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_resistenza+0)
	ADDWFC     Write_Bitmap_bitmap_byte_L0+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_clockdata_bits_in+0
	CALL       _clockdata+0
L_Write_Bitmap103:
;nokia3310_lib_v2.c,443 :: 		} while (++bitmap_byte <= max_bitmap_byte);
	INCF       Write_Bitmap_bitmap_byte_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Write_Bitmap_bitmap_byte_L0+1, 1
	MOVF       Write_Bitmap_bitmap_byte_L0+1, 0
	SUBWF      Write_Bitmap_max_bitmap_byte_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Write_Bitmap302
	MOVF       Write_Bitmap_bitmap_byte_L0+0, 0
	SUBWF      Write_Bitmap_max_bitmap_byte_L0+0, 0
L__Write_Bitmap302:
	BTFSC      STATUS+0, 0
	GOTO       L_Write_Bitmap100
;nokia3310_lib_v2.c,444 :: 		_SCE = 1;            // Deselect Chip.
	BSF        LATB+0, 7
;nokia3310_lib_v2.c,445 :: 		}
L_end_Write_Bitmap:
	RETURN
; end of _Write_Bitmap

_Write_Bitmap_page:

;nokia3310_lib_v2.c,456 :: 		void Write_Bitmap_page(char *bmp, char page, char col, char length) {
;nokia3310_lib_v2.c,457 :: 		char buf = 0, buf1;
	CLRF       Write_Bitmap_page_buf_L0+0
;nokia3310_lib_v2.c,459 :: 		buf1 = page & 0x0F;
	MOVLW      15
	ANDWF      FARG_Write_Bitmap_page_page+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      Write_Bitmap_page_buf1_L0+0
;nokia3310_lib_v2.c,460 :: 		cursorxy(col, buf1);
	MOVF       FARG_Write_Bitmap_page_col+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       R0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,462 :: 		while (buf <= length){
L_Write_Bitmap_page104:
	MOVF       Write_Bitmap_page_buf_L0+0, 0
	SUBWF      FARG_Write_Bitmap_page_length+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Write_Bitmap_page105
;nokia3310_lib_v2.c,463 :: 		buf1 = bmp[buf];
	MOVF       Write_Bitmap_page_buf_L0+0, 0
	ADDWF      FARG_Write_Bitmap_page_bmp+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_Bitmap_page_bmp+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_Bitmap_page_buf1_L0+0
;nokia3310_lib_v2.c,464 :: 		if (page.B7) buf1 = ~bmp[buf];
	BTFSS      FARG_Write_Bitmap_page_page+0, 7
	GOTO       L_Write_Bitmap_page106
	MOVF       Write_Bitmap_page_buf_L0+0, 0
	ADDWF      FARG_Write_Bitmap_page_bmp+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_Bitmap_page_bmp+1, 0
	MOVWF      FSR0H
	COMF       INDF0+0, 0
	MOVWF      Write_Bitmap_page_buf1_L0+0
	GOTO       L_Write_Bitmap_page107
L_Write_Bitmap_page106:
;nokia3310_lib_v2.c,465 :: 		else buf1 = bmp[buf];
	MOVF       Write_Bitmap_page_buf_L0+0, 0
	ADDWF      FARG_Write_Bitmap_page_bmp+0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     FARG_Write_Bitmap_page_bmp+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      Write_Bitmap_page_buf1_L0+0
L_Write_Bitmap_page107:
;nokia3310_lib_v2.c,466 :: 		writedata(buf1);
	MOVF       Write_Bitmap_page_buf1_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,467 :: 		buf ++;
	INCF       Write_Bitmap_page_buf_L0+0, 1
;nokia3310_lib_v2.c,468 :: 		}
	GOTO       L_Write_Bitmap_page104
L_Write_Bitmap_page105:
;nokia3310_lib_v2.c,469 :: 		}
L_end_Write_Bitmap_page:
	RETURN
; end of _Write_Bitmap_page

_Draw_line_vert_3310:

;nokia3310_lib_v2.c,478 :: 		void Draw_line_vert_3310(unsigned char Y1, unsigned char Y2, unsigned char colonna, char colore) {
;nokia3310_lib_v2.c,481 :: 		if (colonna >=84) colonna = 83;
	MOVLW      84
	SUBWF      FARG_Draw_line_vert_3310_colonna+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Draw_line_vert_3310108
	MOVLW      83
	MOVWF      FARG_Draw_line_vert_3310_colonna+0
L_Draw_line_vert_3310108:
;nokia3310_lib_v2.c,482 :: 		if (Y1 >= 48) Y1 = 48;
	MOVLW      48
	SUBWF      FARG_Draw_line_vert_3310_Y1+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Draw_line_vert_3310109
	MOVLW      48
	MOVWF      FARG_Draw_line_vert_3310_Y1+0
L_Draw_line_vert_3310109:
;nokia3310_lib_v2.c,483 :: 		if (Y2 >= 48) Y2 = 48;
	MOVLW      48
	SUBWF      FARG_Draw_line_vert_3310_Y2+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Draw_line_vert_3310110
	MOVLW      48
	MOVWF      FARG_Draw_line_vert_3310_Y2+0
L_Draw_line_vert_3310110:
;nokia3310_lib_v2.c,485 :: 		if (Y1 > Y2) {temp_1 = Y2 ; Y2 = Y1; Y1 = temp_1;}   // X1 sempre > di X2
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	SUBWF      FARG_Draw_line_vert_3310_Y2+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Draw_line_vert_3310111
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	MOVWF      Draw_line_vert_3310_temp_1_L0+0
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	MOVWF      FARG_Draw_line_vert_3310_Y2+0
	MOVF       Draw_line_vert_3310_temp_1_L0+0, 0
	MOVWF      FARG_Draw_line_vert_3310_Y1+0
L_Draw_line_vert_3310111:
;nokia3310_lib_v2.c,486 :: 		page_1 = Y1 >> 3;
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	MOVWF      R2
	LSRF       R2, 1
	LSRF       R2, 1
	LSRF       R2, 1
	MOVF       R2, 0
	MOVWF      Draw_line_vert_3310_page_1_L0+0
;nokia3310_lib_v2.c,487 :: 		temp_1 = page_1;
	MOVF       R2, 0
	MOVWF      Draw_line_vert_3310_temp_1_L0+0
;nokia3310_lib_v2.c,488 :: 		page_2 = Y2 >> 3;
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	MOVWF      R1
	LSRF       R1, 1
	LSRF       R1, 1
	LSRF       R1, 1
	MOVF       R1, 0
	MOVWF      Draw_line_vert_3310_page_2_L0+0
;nokia3310_lib_v2.c,489 :: 		temp_2 = page_2;
	MOVF       R1, 0
	MOVWF      Draw_line_vert_3310_temp_2_L0+0
;nokia3310_lib_v2.c,490 :: 		Y1 &= 0x07;
	MOVLW      7
	ANDWF      FARG_Draw_line_vert_3310_Y1+0, 1
;nokia3310_lib_v2.c,491 :: 		Y2 &= 0x07;
	MOVLW      7
	ANDWF      FARG_Draw_line_vert_3310_Y2+0, 1
;nokia3310_lib_v2.c,493 :: 		if (page_1 == page_2) {
	MOVF       R2, 0
	XORWF      R1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_Draw_line_vert_3310112
;nokia3310_lib_v2.c,494 :: 		cursorxy(colonna, page_1);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_page_1_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,495 :: 		if (colore) writedata (Byte_LOW [Y1] & Byte_HIGH [Y2]); // OR con il dato presente in memoria
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_3310113
	MOVLW      _Byte_LOW+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_LOW+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      R1
	MOVLW      _Byte_HIGH+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_HIGH+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ANDWF      R1, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Draw_line_vert_3310114
L_Draw_line_vert_3310113:
;nokia3310_lib_v2.c,496 :: 		else writedata (0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Draw_line_vert_3310114:
;nokia3310_lib_v2.c,497 :: 		return;
	GOTO       L_end_Draw_line_vert_3310
;nokia3310_lib_v2.c,498 :: 		}
L_Draw_line_vert_3310112:
;nokia3310_lib_v2.c,500 :: 		page_1 += 1;
	INCF       Draw_line_vert_3310_page_1_L0+0, 1
;nokia3310_lib_v2.c,501 :: 		if (colore) _data = 0xFF ;
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_3310115
	MOVLW      255
	MOVWF      Draw_line_vert_3310__data_L0+0
	GOTO       L_Draw_line_vert_3310116
L_Draw_line_vert_3310115:
;nokia3310_lib_v2.c,502 :: 		else _data = 0x00 ;
	CLRF       Draw_line_vert_3310__data_L0+0
L_Draw_line_vert_3310116:
;nokia3310_lib_v2.c,503 :: 		while (page_1 < page_2) {
L_Draw_line_vert_3310117:
	MOVF       Draw_line_vert_3310_page_2_L0+0, 0
	SUBWF      Draw_line_vert_3310_page_1_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Draw_line_vert_3310118
;nokia3310_lib_v2.c,504 :: 		cursorxy(colonna, page_1);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_page_1_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,505 :: 		writedata (_data);
	MOVF       Draw_line_vert_3310__data_L0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
;nokia3310_lib_v2.c,506 :: 		page_1 ++;
	INCF       Draw_line_vert_3310_page_1_L0+0, 1
;nokia3310_lib_v2.c,507 :: 		}
	GOTO       L_Draw_line_vert_3310117
L_Draw_line_vert_3310118:
;nokia3310_lib_v2.c,509 :: 		cursorxy(colonna, temp_1);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_temp_1_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,510 :: 		if (colore) writedata (Byte_LOW [Y1]); // OR con il dato presente in memoria                                                // Byte_LOW [X1] | Read_Data (0xFF, colonna)
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_3310119
	MOVLW      _Byte_LOW+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_LOW+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y1+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Draw_line_vert_3310120
L_Draw_line_vert_3310119:
;nokia3310_lib_v2.c,511 :: 		else writedata (0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Draw_line_vert_3310120:
;nokia3310_lib_v2.c,513 :: 		cursorxy(colonna, temp_2);
	MOVF       FARG_Draw_line_vert_3310_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       Draw_line_vert_3310_temp_2_L0+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,514 :: 		if (colore) writedata (Byte_HIGH [Y2]); // OR con il dato presente in memoria
	MOVF       FARG_Draw_line_vert_3310_colore+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Draw_line_vert_3310121
	MOVLW      _Byte_HIGH+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_Byte_HIGH+0)
	MOVWF      FSR0H
	MOVF       FARG_Draw_line_vert_3310_Y2+0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      FARG_writedata_data_in+0
	CALL       _writedata+0
	GOTO       L_Draw_line_vert_3310122
L_Draw_line_vert_3310121:
;nokia3310_lib_v2.c,516 :: 		else writedata (0x00);
	CLRF       FARG_writedata_data_in+0
	CALL       _writedata+0
L_Draw_line_vert_3310122:
;nokia3310_lib_v2.c,517 :: 		}
L_end_Draw_line_vert_3310:
	RETURN
; end of _Draw_line_vert_3310

_Dec_BCD_Short:

;nokia3310_lib_v2.c,528 :: 		void Dec_BCD_Short (unsigned short Value, unsigned short page, unsigned short colonna, unsigned short width) {
;nokia3310_lib_v2.c,532 :: 		if (page >= 6) return;
	MOVLW      6
	SUBWF      FARG_Dec_BCD_Short_page+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Dec_BCD_Short123
	GOTO       L_end_Dec_BCD_Short
L_Dec_BCD_Short123:
;nokia3310_lib_v2.c,533 :: 		cursorxy(colonna, page);
	MOVF       FARG_Dec_BCD_Short_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       FARG_Dec_BCD_Short_page+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,536 :: 		interi = Value / 100 ;                   // unit
	MOVLW      100
	MOVWF      R4
	MOVF       FARG_Dec_BCD_Short_Value+0, 0
	MOVWF      R0
	CALL       _Div_8X8_U+0
	MOVF       R0, 0
	MOVWF      FLOC__Dec_BCD_Short+1
	MOVF       FLOC__Dec_BCD_Short+1, 0
	MOVWF      Dec_BCD_Short_interi_L0+0
;nokia3310_lib_v2.c,537 :: 		buffer = Value - (interi * 100) ;
	MOVF       FLOC__Dec_BCD_Short+1, 0
	MOVWF      R0
	MOVLW      100
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FARG_Dec_BCD_Short_Value+0, 0
	MOVWF      FLOC__Dec_BCD_Short+0
;nokia3310_lib_v2.c,538 :: 		decimi = buffer / 10;                  // decimi
	MOVLW      10
	MOVWF      R4
	MOVF       FLOC__Dec_BCD_Short+0, 0
	MOVWF      R0
	CALL       _Div_8X8_U+0
	MOVF       R0, 0
	MOVWF      Dec_BCD_Short_decimi_L0+0
;nokia3310_lib_v2.c,539 :: 		centesimi = buffer - (decimi * 10) ;
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FLOC__Dec_BCD_Short+0, 0
	MOVWF      Dec_BCD_Short_centesimi_L0+0
;nokia3310_lib_v2.c,543 :: 		if (interi != 0) putchar(interi+48, width);
	MOVF       FLOC__Dec_BCD_Short+1, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_Dec_BCD_Short124
	MOVLW      48
	ADDWF      Dec_BCD_Short_interi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	MOVF       FARG_Dec_BCD_Short_width+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
L_Dec_BCD_Short124:
;nokia3310_lib_v2.c,545 :: 		if (interi == 0 && decimi == 0 && width.F1 == 0) putchar(32, width);
	MOVF       Dec_BCD_Short_interi_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Dec_BCD_Short127
	MOVF       Dec_BCD_Short_decimi_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Dec_BCD_Short127
	BTFSC      FARG_Dec_BCD_Short_width+0, 1
	GOTO       L_Dec_BCD_Short127
L__Dec_BCD_Short243:
	MOVLW      32
	MOVWF      FARG_putchar_character+0
	MOVF       FARG_Dec_BCD_Short_width+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
	GOTO       L_Dec_BCD_Short128
L_Dec_BCD_Short127:
;nokia3310_lib_v2.c,546 :: 		else putchar(decimi+48, width);
	MOVLW      48
	ADDWF      Dec_BCD_Short_decimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	MOVF       FARG_Dec_BCD_Short_width+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
L_Dec_BCD_Short128:
;nokia3310_lib_v2.c,547 :: 		putchar(centesimi+48, width);
	MOVLW      48
	ADDWF      Dec_BCD_Short_centesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	MOVF       FARG_Dec_BCD_Short_width+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;nokia3310_lib_v2.c,548 :: 		}
L_end_Dec_BCD_Short:
	RETURN
; end of _Dec_BCD_Short

_Decimale_BCD:

;nokia3310_lib_v2.c,550 :: 		void Decimale_BCD (unsigned int Value, unsigned short page, unsigned short colonna, unsigned short Width) {
;nokia3310_lib_v2.c,553 :: 		if (Value >= 9999) Value = 9999;
	MOVLW      39
	SUBWF      FARG_Decimale_BCD_Value+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Decimale_BCD307
	MOVLW      15
	SUBWF      FARG_Decimale_BCD_Value+0, 0
L__Decimale_BCD307:
	BTFSS      STATUS+0, 0
	GOTO       L_Decimale_BCD129
	MOVLW      15
	MOVWF      FARG_Decimale_BCD_Value+0
	MOVLW      39
	MOVWF      FARG_Decimale_BCD_Value+1
L_Decimale_BCD129:
;nokia3310_lib_v2.c,554 :: 		cursorxy(colonna, page);
	MOVF       FARG_Decimale_BCD_colonna+0, 0
	MOVWF      FARG_cursorxy_x+0
	MOVF       FARG_Decimale_BCD_page+0, 0
	MOVWF      FARG_cursorxy_y+0
	CALL       _cursorxy+0
;nokia3310_lib_v2.c,556 :: 		interi = Value / 1000 ;                   // unit
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	MOVF       FARG_Decimale_BCD_Value+0, 0
	MOVWF      R0
	MOVF       FARG_Decimale_BCD_Value+1, 0
	MOVWF      R1
	CALL       _Div_16X16_U+0
	MOVF       R0, 0
	MOVWF      Decimale_BCD_interi_L0+0
;nokia3310_lib_v2.c,557 :: 		buffer = Value - (interi * 1000) ;
	MOVLW      0
	MOVWF      R1
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	CALL       _Mul_16X16_U+0
	MOVF       R0, 0
	SUBWF      FARG_Decimale_BCD_Value+0, 0
	MOVWF      FLOC__Decimale_BCD+0
	MOVF       R1, 0
	SUBWFB     FARG_Decimale_BCD_Value+1, 0
	MOVWF      FLOC__Decimale_BCD+1
;nokia3310_lib_v2.c,558 :: 		decimi = buffer / 100;                  // decimi
	MOVLW      100
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	MOVF       FLOC__Decimale_BCD+0, 0
	MOVWF      R0
	MOVF       FLOC__Decimale_BCD+1, 0
	MOVWF      R1
	CALL       _Div_16X16_U+0
	MOVF       R0, 0
	MOVWF      Decimale_BCD_decimi_L0+0
;nokia3310_lib_v2.c,559 :: 		buffer = buffer - (decimi * 100) ;
	MOVLW      100
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FLOC__Decimale_BCD+0, 1
	MOVF       R1, 0
	SUBWFB     FLOC__Decimale_BCD+1, 1
;nokia3310_lib_v2.c,560 :: 		centesimi = buffer / 10;
	MOVLW      10
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	MOVF       FLOC__Decimale_BCD+0, 0
	MOVWF      R0
	MOVF       FLOC__Decimale_BCD+1, 0
	MOVWF      R1
	CALL       _Div_16X16_U+0
	MOVF       R0, 0
	MOVWF      Decimale_BCD_centesimi_L0+0
;nokia3310_lib_v2.c,561 :: 		millesimi = buffer - (centesimi * 10) ;
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FLOC__Decimale_BCD+0, 0
	MOVWF      Decimale_BCD_millesimi_L0+0
;nokia3310_lib_v2.c,563 :: 		if (page >= 5) return;
	MOVLW      5
	SUBWF      FARG_Decimale_BCD_page+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Decimale_BCD130
	GOTO       L_end_Decimale_BCD
L_Decimale_BCD130:
;nokia3310_lib_v2.c,564 :: 		if (Width.F6) { goto Decimale_BCD_loop; }
	BTFSS      FARG_Decimale_BCD_Width+0, 6
	GOTO       L_Decimale_BCD131
	GOTO       ___Decimale_BCD_Decimale_BCD_loop
L_Decimale_BCD131:
;nokia3310_lib_v2.c,566 :: 		if (interi == 0 && Width.F5 == 1) putchar(32, 0);
	MOVF       Decimale_BCD_interi_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Decimale_BCD135
	BTFSS      FARG_Decimale_BCD_Width+0, 5
	GOTO       L_Decimale_BCD135
L__Decimale_BCD244:
	MOVLW      32
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
	GOTO       L_Decimale_BCD136
L_Decimale_BCD135:
;nokia3310_lib_v2.c,567 :: 		else putchar(interi+48, 0);
	MOVLW      48
	ADDWF      Decimale_BCD_interi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
L_Decimale_BCD136:
;nokia3310_lib_v2.c,568 :: 		colonna += 6;
	MOVLW      6
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_v2.c,569 :: 		if (Width.F5 == 0) {
	BTFSC      FARG_Decimale_BCD_Width+0, 5
	GOTO       L_Decimale_BCD137
;nokia3310_lib_v2.c,570 :: 		putchar(',', 0);
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
;nokia3310_lib_v2.c,571 :: 		colonna += 3;
	MOVLW      3
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_v2.c,572 :: 		}
L_Decimale_BCD137:
;nokia3310_lib_v2.c,575 :: 		Decimale_BCD_loop:
___Decimale_BCD_Decimale_BCD_loop:
;nokia3310_lib_v2.c,576 :: 		putchar(decimi+48, 0);
	MOVLW      48
	ADDWF      Decimale_BCD_decimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
;nokia3310_lib_v2.c,577 :: 		colonna += 6;
	MOVLW      6
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_v2.c,578 :: 		putchar(centesimi+48, 0);
	MOVLW      48
	ADDWF      Decimale_BCD_centesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
;nokia3310_lib_v2.c,579 :: 		colonna += 6;
	MOVLW      6
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_v2.c,580 :: 		if (Width.F6) {
	BTFSS      FARG_Decimale_BCD_Width+0, 6
	GOTO       L_Decimale_BCD138
;nokia3310_lib_v2.c,581 :: 		putchar(',', 0);
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
;nokia3310_lib_v2.c,582 :: 		colonna += 3;
	MOVLW      3
	ADDWF      FARG_Decimale_BCD_colonna+0, 1
;nokia3310_lib_v2.c,583 :: 		putchar(millesimi+48, 0);
	MOVLW      48
	ADDWF      Decimale_BCD_millesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
;nokia3310_lib_v2.c,584 :: 		}
	GOTO       L_Decimale_BCD139
L_Decimale_BCD138:
;nokia3310_lib_v2.c,585 :: 		else putchar(millesimi+48, 0);
	MOVLW      48
	ADDWF      Decimale_BCD_millesimi_L0+0, 0
	MOVWF      FARG_putchar_character+0
	CLRF       FARG_putchar_doppio+0
	CALL       _putchar+0
L_Decimale_BCD139:
;nokia3310_lib_v2.c,601 :: 		}
L_end_Decimale_BCD:
	RETURN
; end of _Decimale_BCD

_Puls:

;pulsanti.c,57 :: 		void Puls(){
;pulsanti.c,59 :: 		state_pul = 0;                // 0 = no button pressed
	CLRF       _state_pul+0
;pulsanti.c,60 :: 		if (up==0 && flag_.pul==0) {                 // repetitive
	BTFSC      RC3_bit+0, BitPos(RC3_bit+0)
	GOTO       L_Puls142
	BTFSC      _flag_+0, 0
	GOTO       L_Puls142
L__Puls248:
;pulsanti.c,61 :: 		cnt_pul = (delay_pul - cnt_repeat);
	MOVF       _cnt_repeat+0, 0
	SUBLW      50
	MOVWF      _cnt_pul+0
;pulsanti.c,62 :: 		flag_.pul = 1;
	BSF        _flag_+0, 0
;pulsanti.c,63 :: 		state_pul = 1;          // 1 = UP
	MOVLW      1
	MOVWF      _state_pul+0
;pulsanti.c,64 :: 		flag_.up_dw = 1;
	BSF        _flag_+0, 1
;pulsanti.c,66 :: 		}
L_Puls142:
;pulsanti.c,67 :: 		if (dw==0 && flag_.pul==0) {               // repetitive
	BTFSC      RC6_bit+0, BitPos(RC6_bit+0)
	GOTO       L_Puls145
	BTFSC      _flag_+0, 0
	GOTO       L_Puls145
L__Puls247:
;pulsanti.c,68 :: 		cnt_pul = (delay_pul - cnt_repeat);
	MOVF       _cnt_repeat+0, 0
	SUBLW      50
	MOVWF      _cnt_pul+0
;pulsanti.c,69 :: 		flag_.pul = 1;
	BSF        _flag_+0, 0
;pulsanti.c,70 :: 		state_pul = 2;          // 2 = DW
	MOVLW      2
	MOVWF      _state_pul+0
;pulsanti.c,71 :: 		flag_.up_dw = 1;
	BSF        _flag_+0, 1
;pulsanti.c,73 :: 		}
L_Puls145:
;pulsanti.c,74 :: 		if (set==0 && flag_.pul==0) {            // not repetitive
	BTFSC      RC0_bit+0, BitPos(RC0_bit+0)
	GOTO       L_Puls148
	BTFSC      _flag_+0, 0
	GOTO       L_Puls148
L__Puls246:
;pulsanti.c,75 :: 		cnt_pul = delay_pul_set;
	MOVLW      50
	MOVWF      _cnt_pul+0
;pulsanti.c,76 :: 		flag_.pul = 1;
	BSF        _flag_+0, 0
;pulsanti.c,77 :: 		state_pul = 3;         // 3 = SET
	MOVLW      3
	MOVWF      _state_pul+0
;pulsanti.c,78 :: 		flag_.up_dw = 0;
	BCF        _flag_+0, 1
;pulsanti.c,80 :: 		}
L_Puls148:
;pulsanti.c,81 :: 		if (flag_.up_dw == 1) Delay_Repeat();   // UP, DW
	BTFSS      _flag_+0, 1
	GOTO       L_Puls149
	CALL       _Delay_Repeat+0
	GOTO       L_Puls150
L_Puls149:
;pulsanti.c,82 :: 		else Wait();                           // SET
	CALL       _Wait+0
L_Puls150:
;pulsanti.c,83 :: 		if (up && dw && set) Wait();
	BTFSS      RC3_bit+0, BitPos(RC3_bit+0)
	GOTO       L_Puls153
	BTFSS      RC6_bit+0, BitPos(RC6_bit+0)
	GOTO       L_Puls153
	BTFSS      RC0_bit+0, BitPos(RC0_bit+0)
	GOTO       L_Puls153
L__Puls245:
	CALL       _Wait+0
L_Puls153:
;pulsanti.c,85 :: 		}
L_end_Puls:
	RETURN
; end of _Puls

_Wait:

;pulsanti.c,90 :: 		void Wait(){
;pulsanti.c,92 :: 		if (up && dw && set) {
	BTFSS      RC3_bit+0, BitPos(RC3_bit+0)
	GOTO       L_Wait156
	BTFSS      RC6_bit+0, BitPos(RC6_bit+0)
	GOTO       L_Wait156
	BTFSS      RC0_bit+0, BitPos(RC0_bit+0)
	GOTO       L_Wait156
L__Wait249:
;pulsanti.c,93 :: 		cnt_pul --;
	DECF       _cnt_pul+0, 1
;pulsanti.c,94 :: 		if (cnt_pul ==0) flag_.pul = 0;
	MOVF       _cnt_pul+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Wait157
	BCF        _flag_+0, 0
L_Wait157:
;pulsanti.c,95 :: 		cnt_repeat = 0;
	CLRF       _cnt_repeat+0
;pulsanti.c,96 :: 		}
	GOTO       L_Wait158
L_Wait156:
;pulsanti.c,97 :: 		else cnt_pul = delay_pul_set;
	MOVLW      50
	MOVWF      _cnt_pul+0
L_Wait158:
;pulsanti.c,98 :: 		flag_.up_dw = 0;
	BCF        _flag_+0, 1
;pulsanti.c,99 :: 		}
L_end_Wait:
	RETURN
; end of _Wait

_Delay_Repeat:

;pulsanti.c,104 :: 		void Delay_Repeat(){
;pulsanti.c,106 :: 		cnt_pul --;
	DECF       _cnt_pul+0, 1
;pulsanti.c,107 :: 		if (cnt_pul >= 250) {
	MOVLW      250
	SUBWF      _cnt_pul+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Delay_Repeat159
;pulsanti.c,108 :: 		flag_.pul = 0;
	BCF        _flag_+0, 0
;pulsanti.c,109 :: 		cnt_repeat ++;
	INCF       _cnt_repeat+0, 1
;pulsanti.c,110 :: 		if (cnt_repeat >= 45) cnt_repeat = 45;
	MOVLW      45
	SUBWF      _cnt_repeat+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Delay_Repeat160
	MOVLW      45
	MOVWF      _cnt_repeat+0
L_Delay_Repeat160:
;pulsanti.c,112 :: 		}
L_Delay_Repeat159:
;pulsanti.c,113 :: 		}
L_end_Delay_Repeat:
	RETURN
; end of _Delay_Repeat

_Delay_msec:

;MCP8901_Sonda_Temp.c,177 :: 		void Delay_msec (unsigned int count_delay) {
;MCP8901_Sonda_Temp.c,178 :: 		for (count_delay; count_delay > 0; count_delay --) {
L_Delay_msec161:
	MOVF       FARG_Delay_msec_count_delay+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Delay_msec312
	MOVF       FARG_Delay_msec_count_delay+0, 0
	SUBLW      0
L__Delay_msec312:
	BTFSC      STATUS+0, 0
	GOTO       L_Delay_msec162
;MCP8901_Sonda_Temp.c,179 :: 		Delay_ms (1) ;
	MOVLW      11
	MOVWF      R12
	MOVLW      98
	MOVWF      R13
L_Delay_msec164:
	DECFSZ     R13, 1
	GOTO       L_Delay_msec164
	DECFSZ     R12, 1
	GOTO       L_Delay_msec164
	NOP
;MCP8901_Sonda_Temp.c,180 :: 		asm { clrwdt }
	CLRWDT
;MCP8901_Sonda_Temp.c,178 :: 		for (count_delay; count_delay > 0; count_delay --) {
	MOVLW      1
	SUBWF      FARG_Delay_msec_count_delay+0, 1
	MOVLW      0
	SUBWFB     FARG_Delay_msec_count_delay+1, 1
;MCP8901_Sonda_Temp.c,181 :: 		}
	GOTO       L_Delay_msec161
L_Delay_msec162:
;MCP8901_Sonda_Temp.c,182 :: 		}
L_end_Delay_msec:
	RETURN
; end of _Delay_msec

_Calc_Decimale:

;MCP8901_Sonda_Temp.c,186 :: 		char Calc_Decimale () {
;MCP8901_Sonda_Temp.c,189 :: 		buf = 625 * (temp_lsb >> 4);
	MOVF       _temp_lsb+0, 0
	MOVWF      R0
	LSRF       R0, 1
	LSRF       R0, 1
	LSRF       R0, 1
	LSRF       R0, 1
	MOVLW      0
	MOVWF      R1
	MOVLW      113
	MOVWF      R4
	MOVLW      2
	MOVWF      R5
	CALL       _Mul_16X16_U+0
;MCP8901_Sonda_Temp.c,190 :: 		return buf / 1000;
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	CALL       _Div_16X16_U+0
;MCP8901_Sonda_Temp.c,191 :: 		}
L_end_Calc_Decimale:
	RETURN
; end of _Calc_Decimale

_dec_to_str:

;MCP8901_Sonda_Temp.c,195 :: 		void dec_to_str (char value, char zero) {
;MCP8901_Sonda_Temp.c,196 :: 		char cnt = 0;
;MCP8901_Sonda_Temp.c,198 :: 		if (value >= 0x80) {
	MOVLW      128
	SUBWF      FARG_dec_to_str_value+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_dec_to_str165
;MCP8901_Sonda_Temp.c,199 :: 		txt[0] = '-';                           // Segno "-"
	MOVLW      45
	MOVWF      _txt+0
;MCP8901_Sonda_Temp.c,200 :: 		value -= 0x80;
	MOVLW      128
	SUBWF      FARG_dec_to_str_value+0, 1
;MCP8901_Sonda_Temp.c,201 :: 		}
	GOTO       L_dec_to_str166
L_dec_to_str165:
;MCP8901_Sonda_Temp.c,203 :: 		txt[0] = (value / 100);                 // centinaia
	MOVLW      100
	MOVWF      R4
	MOVF       FARG_dec_to_str_value+0, 0
	MOVWF      R0
	CALL       _Div_8X8_U+0
	MOVF       R0, 0
	MOVWF      FLOC__dec_to_str+0
	MOVF       FLOC__dec_to_str+0, 0
	MOVWF      _txt+0
;MCP8901_Sonda_Temp.c,204 :: 		value = value - (txt[0]*100);
	MOVF       FLOC__dec_to_str+0, 0
	MOVWF      R0
	MOVLW      100
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FARG_dec_to_str_value+0, 1
;MCP8901_Sonda_Temp.c,205 :: 		txt[0] += 0x30;
	MOVLW      48
	ADDWF      FLOC__dec_to_str+0, 0
	MOVWF      _txt+0
;MCP8901_Sonda_Temp.c,206 :: 		}
L_dec_to_str166:
;MCP8901_Sonda_Temp.c,207 :: 		txt[1] = value / 10;                  // decine
	MOVLW      10
	MOVWF      R4
	MOVF       FARG_dec_to_str_value+0, 0
	MOVWF      R0
	CALL       _Div_8X8_U+0
	MOVF       R0, 0
	MOVWF      _txt+1
;MCP8901_Sonda_Temp.c,208 :: 		txt[2] = (value - (txt[1] * 10)) + 0x30 ;        // unit
	MOVLW      10
	MOVWF      R4
	CALL       _Mul_8X8_U+0
	MOVF       R0, 0
	SUBWF      FARG_dec_to_str_value+0, 0
	MOVWF      _txt+2
	MOVLW      48
	ADDWF      _txt+2, 1
;MCP8901_Sonda_Temp.c,209 :: 		txt[3]=0;
	CLRF       _txt+3
;MCP8901_Sonda_Temp.c,210 :: 		if (txt[0] == 0x30 && zero == 0) txt[0] = ' ';
	MOVF       _txt+0, 0
	XORLW      48
	BTFSS      STATUS+0, 2
	GOTO       L_dec_to_str169
	MOVF       FARG_dec_to_str_zero+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_dec_to_str169
L__dec_to_str251:
	MOVLW      32
	MOVWF      _txt+0
L_dec_to_str169:
;MCP8901_Sonda_Temp.c,212 :: 		if (txt[1] == 0 && txt[0] == ' ' && zero == 0) txt[1] = ' ';
	MOVF       _txt+1, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_dec_to_str172
	MOVF       _txt+0, 0
	XORLW      32
	BTFSS      STATUS+0, 2
	GOTO       L_dec_to_str172
	MOVF       FARG_dec_to_str_zero+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_dec_to_str172
L__dec_to_str250:
	MOVLW      32
	MOVWF      _txt+1
	GOTO       L_dec_to_str173
L_dec_to_str172:
;MCP8901_Sonda_Temp.c,213 :: 		else txt[1] = txt[1] + 0x30;
	MOVLW      48
	ADDWF      _txt+1, 1
L_dec_to_str173:
;MCP8901_Sonda_Temp.c,215 :: 		}
L_end_dec_to_str:
	RETURN
; end of _dec_to_str

_Main_Page_bis:

;MCP8901_Sonda_Temp.c,219 :: 		void Main_Page_bis () {
;MCP8901_Sonda_Temp.c,222 :: 		Write_String(txt_set, 4, 0);             //   "Tset"
	MOVLW      _txt_set+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt_set+0)
	MOVWF      FARG_Write_String_string+1
	MOVLW      4
	MOVWF      FARG_Write_String_Page+0
	CLRF       FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,223 :: 		dec_to_str (t_set, 0);
	MOVF       _t_set+0, 0
	MOVWF      FARG_dec_to_str_value+0
	CLRF       FARG_dec_to_str_zero+0
	CALL       _dec_to_str+0
;MCP8901_Sonda_Temp.c,224 :: 		Write_String(txt, 4 + contr_set, 27);   // temperatura SET interi
	MOVLW      _txt+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_String_string+1
	MOVF       _contr_set+0, 0
	ADDLW      4
	MOVWF      FARG_Write_String_Page+0
	MOVLW      27
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,225 :: 		putchar(',', 0x00 + contr_set);              // ','
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_set+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,227 :: 		if (t_set_l >= 0x80) putchar ('5', 0x00 + contr_set);
	MOVLW      128
	SUBWF      _t_set_l+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Main_Page_bis174
	MOVLW      53
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_set+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
	GOTO       L_Main_Page_bis175
L_Main_Page_bis174:
;MCP8901_Sonda_Temp.c,228 :: 		else putchar ('0', 0x00 + contr_set);
	MOVLW      48
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_set+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
L_Main_Page_bis175:
;MCP8901_Sonda_Temp.c,230 :: 		Write_String(txt_hyst, 5, 0);              // "Thyst"
	MOVLW      _txt_hyst+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt_hyst+0)
	MOVWF      FARG_Write_String_string+1
	MOVLW      5
	MOVWF      FARG_Write_String_Page+0
	CLRF       FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,231 :: 		dec_to_str (t_hyst, 0);
	MOVF       _t_hyst+0, 0
	MOVWF      FARG_dec_to_str_value+0
	CLRF       FARG_dec_to_str_zero+0
	CALL       _dec_to_str+0
;MCP8901_Sonda_Temp.c,232 :: 		Write_String(txt, 5 + contr_hyst, 27);   // Hysteresis (interi)
	MOVLW      _txt+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_String_string+1
	MOVF       _contr_hyst+0, 0
	ADDLW      5
	MOVWF      FARG_Write_String_Page+0
	MOVLW      27
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,233 :: 		putchar(',', 0x00 + contr_hyst);               // ','
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_hyst+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,235 :: 		if (t_hyst_l >= 0x80) putchar ('5', 0x00 + contr_hyst);
	MOVLW      128
	SUBWF      _t_hyst_l+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Main_Page_bis176
	MOVLW      53
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_hyst+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
	GOTO       L_Main_Page_bis177
L_Main_Page_bis176:
;MCP8901_Sonda_Temp.c,236 :: 		else putchar ('0', 0x00 + contr_hyst);
	MOVLW      48
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_hyst+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
L_Main_Page_bis177:
;MCP8901_Sonda_Temp.c,239 :: 		if (flag.mode) Write_Bitmap_page(mode_1, 5 + contr_mode, 59, 24);
	BTFSS      _flag+0, 3
	GOTO       L_Main_Page_bis178
	MOVLW      _mode_1+0
	MOVWF      FARG_Write_Bitmap_page_bmp+0
	MOVLW      hi_addr(_mode_1+0)
	MOVWF      FARG_Write_Bitmap_page_bmp+1
	MOVF       _contr_mode+0, 0
	ADDLW      5
	MOVWF      FARG_Write_Bitmap_page_page+0
	MOVLW      59
	MOVWF      FARG_Write_Bitmap_page_col+0
	MOVLW      24
	MOVWF      FARG_Write_Bitmap_page_length+0
	CALL       _Write_Bitmap_page+0
	GOTO       L_Main_Page_bis179
L_Main_Page_bis178:
;MCP8901_Sonda_Temp.c,240 :: 		else Write_Bitmap_page(mode_0, 5 + contr_mode, 59, 24);
	MOVLW      _mode_0+0
	MOVWF      FARG_Write_Bitmap_page_bmp+0
	MOVLW      hi_addr(_mode_0+0)
	MOVWF      FARG_Write_Bitmap_page_bmp+1
	MOVF       _contr_mode+0, 0
	ADDLW      5
	MOVWF      FARG_Write_Bitmap_page_page+0
	MOVLW      59
	MOVWF      FARG_Write_Bitmap_page_col+0
	MOVLW      24
	MOVWF      FARG_Write_Bitmap_page_length+0
	CALL       _Write_Bitmap_page+0
L_Main_Page_bis179:
;MCP8901_Sonda_Temp.c,242 :: 		}
L_end_Main_Page_bis:
	RETURN
; end of _Main_Page_bis

_Main_Page_Prog:

;MCP8901_Sonda_Temp.c,246 :: 		void Main_Page_Prog () {
;MCP8901_Sonda_Temp.c,251 :: 		if (t_set_h >= 0x80) {
	MOVLW      128
	SUBWF      _t_set_h+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Main_Page_Prog180
;MCP8901_Sonda_Temp.c,252 :: 		t_set = 255 - t_set_h;
	MOVF       _t_set_h+0, 0
	SUBLW      255
	MOVWF      _t_set+0
;MCP8901_Sonda_Temp.c,253 :: 		t_set |= 0x80;
	BSF        _t_set+0, 7
;MCP8901_Sonda_Temp.c,254 :: 		}
	GOTO       L_Main_Page_Prog181
L_Main_Page_Prog180:
;MCP8901_Sonda_Temp.c,255 :: 		else t_set = t_set_h;
	MOVF       _t_set_h+0, 0
	MOVWF      _t_set+0
L_Main_Page_Prog181:
;MCP8901_Sonda_Temp.c,257 :: 		dec_to_str (t_set, 0);
	MOVF       _t_set+0, 0
	MOVWF      FARG_dec_to_str_value+0
	CLRF       FARG_dec_to_str_zero+0
	CALL       _dec_to_str+0
;MCP8901_Sonda_Temp.c,258 :: 		Write_String(txt, 4 + contr_set, 27);   // temperatura SET interi
	MOVLW      _txt+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_String_string+1
	MOVF       _contr_set+0, 0
	ADDLW      4
	MOVWF      FARG_Write_String_Page+0
	MOVLW      27
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,259 :: 		putchar(',', 0x00 + contr_set);              // ','
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_set+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,261 :: 		if (flag.half_set == 0) {
	BTFSC      _flag+0, 1
	GOTO       L_Main_Page_Prog182
;MCP8901_Sonda_Temp.c,262 :: 		putchar('0', 0x00 + contr_set);  // temperatura SET decimle
	MOVLW      48
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_set+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,263 :: 		}
	GOTO       L_Main_Page_Prog183
L_Main_Page_Prog182:
;MCP8901_Sonda_Temp.c,265 :: 		putchar('5', 0x00 + contr_set);  // temperatura SET decimle
	MOVLW      53
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_set+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,266 :: 		}
L_Main_Page_Prog183:
;MCP8901_Sonda_Temp.c,269 :: 		if (t_hyst_h >= 0x80) {
	MOVLW      128
	SUBWF      _t_hyst_h+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Main_Page_Prog184
;MCP8901_Sonda_Temp.c,270 :: 		t_hyst = 255 - t_hyst_h;
	MOVF       _t_hyst_h+0, 0
	SUBLW      255
	MOVWF      _t_hyst+0
;MCP8901_Sonda_Temp.c,271 :: 		t_hyst |= 0x80;
	BSF        _t_hyst+0, 7
;MCP8901_Sonda_Temp.c,272 :: 		}
	GOTO       L_Main_Page_Prog185
L_Main_Page_Prog184:
;MCP8901_Sonda_Temp.c,273 :: 		else t_hyst = t_hyst_h;
	MOVF       _t_hyst_h+0, 0
	MOVWF      _t_hyst+0
L_Main_Page_Prog185:
;MCP8901_Sonda_Temp.c,275 :: 		dec_to_str (t_hyst, 0);
	MOVF       _t_hyst+0, 0
	MOVWF      FARG_dec_to_str_value+0
	CLRF       FARG_dec_to_str_zero+0
	CALL       _dec_to_str+0
;MCP8901_Sonda_Temp.c,276 :: 		Write_String(txt, 5 + contr_hyst, 27);   // Str, page, coll
	MOVLW      _txt+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_String_string+1
	MOVF       _contr_hyst+0, 0
	ADDLW      5
	MOVWF      FARG_Write_String_Page+0
	MOVLW      27
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,277 :: 		putchar(',', 0x00 + contr_hyst);
	MOVLW      44
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_hyst+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,279 :: 		if (flag.half_hyst == 0) {
	BTFSC      _flag+0, 2
	GOTO       L_Main_Page_Prog186
;MCP8901_Sonda_Temp.c,280 :: 		putchar('0', 0x00 + contr_hyst);  // temperatura SET decimle
	MOVLW      48
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_hyst+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,281 :: 		}
	GOTO       L_Main_Page_Prog187
L_Main_Page_Prog186:
;MCP8901_Sonda_Temp.c,283 :: 		putchar('5', 0x00 + contr_hyst);  // temperatura SET decimle
	MOVLW      53
	MOVWF      FARG_putchar_character+0
	MOVF       _contr_hyst+0, 0
	MOVWF      FARG_putchar_doppio+0
	CALL       _putchar+0
;MCP8901_Sonda_Temp.c,284 :: 		}
L_Main_Page_Prog187:
;MCP8901_Sonda_Temp.c,288 :: 		if (flag.mode) Write_Bitmap_page(mode_1, 5 + contr_mode, 59, 24);
	BTFSS      _flag+0, 3
	GOTO       L_Main_Page_Prog188
	MOVLW      _mode_1+0
	MOVWF      FARG_Write_Bitmap_page_bmp+0
	MOVLW      hi_addr(_mode_1+0)
	MOVWF      FARG_Write_Bitmap_page_bmp+1
	MOVF       _contr_mode+0, 0
	ADDLW      5
	MOVWF      FARG_Write_Bitmap_page_page+0
	MOVLW      59
	MOVWF      FARG_Write_Bitmap_page_col+0
	MOVLW      24
	MOVWF      FARG_Write_Bitmap_page_length+0
	CALL       _Write_Bitmap_page+0
	GOTO       L_Main_Page_Prog189
L_Main_Page_Prog188:
;MCP8901_Sonda_Temp.c,291 :: 		else Write_Bitmap_page(mode_0, 5 + contr_mode, 59, 24);
	MOVLW      _mode_0+0
	MOVWF      FARG_Write_Bitmap_page_bmp+0
	MOVLW      hi_addr(_mode_0+0)
	MOVWF      FARG_Write_Bitmap_page_bmp+1
	MOVF       _contr_mode+0, 0
	ADDLW      5
	MOVWF      FARG_Write_Bitmap_page_page+0
	MOVLW      59
	MOVWF      FARG_Write_Bitmap_page_col+0
	MOVLW      24
	MOVWF      FARG_Write_Bitmap_page_length+0
	CALL       _Write_Bitmap_page+0
L_Main_Page_Prog189:
;MCP8901_Sonda_Temp.c,293 :: 		}
L_end_Main_Page_Prog:
	RETURN
; end of _Main_Page_Prog

_Main_Page:

;MCP8901_Sonda_Temp.c,300 :: 		void Main_Page () {
;MCP8901_Sonda_Temp.c,303 :: 		dec_to_str (temp_msb, 0);
	MOVF       _temp_msb+0, 0
	MOVWF      FARG_dec_to_str_value+0
	CLRF       FARG_dec_to_str_zero+0
	CALL       _dec_to_str+0
;MCP8901_Sonda_Temp.c,304 :: 		Write_Double_String(txt, 2, 0, 0);         // Interi
	MOVLW      _txt+0
	MOVWF      FARG_Write_Double_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_Double_String_string+1
	MOVLW      2
	MOVWF      FARG_Write_Double_String_Page+0
	CLRF       FARG_Write_Double_String_colonna+0
	CLRF       FARG_Write_Double_String_pos_virgola+0
	CALL       _Write_Double_String+0
;MCP8901_Sonda_Temp.c,305 :: 		txt[0] = ','; txt[1]= 0 ;
	MOVLW      44
	MOVWF      _txt+0
	CLRF       _txt+1
;MCP8901_Sonda_Temp.c,306 :: 		Write_Double_String(txt, 2, 35, 0);      // ','
	MOVLW      _txt+0
	MOVWF      FARG_Write_Double_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_Double_String_string+1
	MOVLW      2
	MOVWF      FARG_Write_Double_String_Page+0
	MOVLW      35
	MOVWF      FARG_Write_Double_String_colonna+0
	CLRF       FARG_Write_Double_String_pos_virgola+0
	CALL       _Write_Double_String+0
;MCP8901_Sonda_Temp.c,307 :: 		buf = Calc_Decimale ();
	CALL       _Calc_Decimale+0
;MCP8901_Sonda_Temp.c,308 :: 		txt[0] = buf + 0x30;
	MOVLW      48
	ADDWF      R0, 0
	MOVWF      _txt+0
;MCP8901_Sonda_Temp.c,309 :: 		txt[1] = 0;
	CLRF       _txt+1
;MCP8901_Sonda_Temp.c,310 :: 		Write_Double_String(txt, 2, 45, 0);    // Decimale
	MOVLW      _txt+0
	MOVWF      FARG_Write_Double_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_Double_String_string+1
	MOVLW      2
	MOVWF      FARG_Write_Double_String_Page+0
	MOVLW      45
	MOVWF      FARG_Write_Double_String_colonna+0
	CLRF       FARG_Write_Double_String_pos_virgola+0
	CALL       _Write_Double_String+0
;MCP8901_Sonda_Temp.c,311 :: 		txt[0] = ''; txt[1]= 'C'; txt[2]= 0;
	MOVLW      176
	MOVWF      _txt+0
	MOVLW      67
	MOVWF      _txt+1
	CLRF       _txt+2
;MCP8901_Sonda_Temp.c,312 :: 		Write_Double_String(txt, 2, 60, 0);   // C
	MOVLW      _txt+0
	MOVWF      FARG_Write_Double_String_string+0
	MOVLW      hi_addr(_txt+0)
	MOVWF      FARG_Write_Double_String_string+1
	MOVLW      2
	MOVWF      FARG_Write_Double_String_Page+0
	MOVLW      60
	MOVWF      FARG_Write_Double_String_colonna+0
	CLRF       FARG_Write_Double_String_pos_virgola+0
	CALL       _Write_Double_String+0
;MCP8901_Sonda_Temp.c,314 :: 		if (alert) {
	BTFSS      RA2_bit+0, BitPos(RA2_bit+0)
	GOTO       L_Main_Page190
;MCP8901_Sonda_Temp.c,315 :: 		Write_String(txt_on, 4, 70);
	MOVLW      _txt_on+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt_on+0)
	MOVWF      FARG_Write_String_string+1
	MOVLW      4
	MOVWF      FARG_Write_String_Page+0
	MOVLW      70
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,316 :: 		LED_2 = 1;
	BSF        LATC4_bit+0, BitPos(LATC4_bit+0)
;MCP8901_Sonda_Temp.c,317 :: 		}
	GOTO       L_Main_Page191
L_Main_Page190:
;MCP8901_Sonda_Temp.c,319 :: 		Write_String(txt_off, 4, 70);
	MOVLW      _txt_off+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_txt_off+0)
	MOVWF      FARG_Write_String_string+1
	MOVLW      4
	MOVWF      FARG_Write_String_Page+0
	MOVLW      70
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,320 :: 		LED_2 = 0;
	BCF        LATC4_bit+0, BitPos(LATC4_bit+0)
;MCP8901_Sonda_Temp.c,321 :: 		}
L_Main_Page191:
;MCP8901_Sonda_Temp.c,322 :: 		}
L_end_Main_Page:
	RETURN
; end of _Main_Page

_Program:

;MCP8901_Sonda_Temp.c,331 :: 		void Program(){
;MCP8901_Sonda_Temp.c,332 :: 		char cnt = 1;
	MOVLW      1
	MOVWF      Program_cnt_L0+0
;MCP8901_Sonda_Temp.c,334 :: 		MCP8901_Read(2);       // T HYST
	MOVLW      2
	MOVWF      FARG_MCP8901_Read_addr_reg+0
	CALL       _MCP8901_Read+0
;MCP8901_Sonda_Temp.c,335 :: 		t_hyst_h = temp_msb;
	MOVF       _temp_msb+0, 0
	MOVWF      _t_hyst_h+0
;MCP8901_Sonda_Temp.c,336 :: 		t_hyst_l = temp_lsb;
	MOVF       _temp_lsb+0, 0
	MOVWF      _t_hyst_l+0
;MCP8901_Sonda_Temp.c,337 :: 		if (t_hyst_h >= 0x80) {
	MOVLW      128
	SUBWF      _temp_msb+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Program192
;MCP8901_Sonda_Temp.c,338 :: 		t_hyst = 255 - t_hyst_h;
	MOVF       _t_hyst_h+0, 0
	SUBLW      255
	MOVWF      _t_hyst+0
;MCP8901_Sonda_Temp.c,339 :: 		t_hyst += 0x80;
	MOVLW      128
	ADDWF      _t_hyst+0, 1
;MCP8901_Sonda_Temp.c,340 :: 		}
	GOTO       L_Program193
L_Program192:
;MCP8901_Sonda_Temp.c,341 :: 		else t_hyst = t_hyst_h;
	MOVF       _t_hyst_h+0, 0
	MOVWF      _t_hyst+0
L_Program193:
;MCP8901_Sonda_Temp.c,342 :: 		t_hyst_h = t_hyst;
	MOVF       _t_hyst+0, 0
	MOVWF      _t_hyst_h+0
;MCP8901_Sonda_Temp.c,343 :: 		if (t_hyst_l >= 0x80) flag.half_hyst = 1;
	MOVLW      128
	SUBWF      _t_hyst_l+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Program194
	BSF        _flag+0, 2
	GOTO       L_Program195
L_Program194:
;MCP8901_Sonda_Temp.c,344 :: 		else flag.half_hyst = 0;
	BCF        _flag+0, 2
L_Program195:
;MCP8901_Sonda_Temp.c,345 :: 		MCP8901_Read(3);       // T SET
	MOVLW      3
	MOVWF      FARG_MCP8901_Read_addr_reg+0
	CALL       _MCP8901_Read+0
;MCP8901_Sonda_Temp.c,346 :: 		t_set_h = temp_msb;
	MOVF       _temp_msb+0, 0
	MOVWF      _t_set_h+0
;MCP8901_Sonda_Temp.c,347 :: 		t_set_l = temp_lsb;
	MOVF       _temp_lsb+0, 0
	MOVWF      _t_set_l+0
;MCP8901_Sonda_Temp.c,348 :: 		if (t_set_h >= 0x80) {
	MOVLW      128
	SUBWF      _temp_msb+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Program196
;MCP8901_Sonda_Temp.c,349 :: 		t_set = 255 - t_set_h;
	MOVF       _t_set_h+0, 0
	SUBLW      255
	MOVWF      _t_set+0
;MCP8901_Sonda_Temp.c,350 :: 		t_set += 0x80;
	MOVLW      128
	ADDWF      _t_set+0, 1
;MCP8901_Sonda_Temp.c,351 :: 		}
	GOTO       L_Program197
L_Program196:
;MCP8901_Sonda_Temp.c,352 :: 		else t_set = t_set_h;
	MOVF       _t_set_h+0, 0
	MOVWF      _t_set+0
L_Program197:
;MCP8901_Sonda_Temp.c,353 :: 		t_set_h = t_set;
	MOVF       _t_set+0, 0
	MOVWF      _t_set_h+0
;MCP8901_Sonda_Temp.c,354 :: 		if (t_set_l >= 0x80) flag.half_set = 1;
	MOVLW      128
	SUBWF      _t_set_l+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Program198
	BSF        _flag+0, 1
	GOTO       L_Program199
L_Program198:
;MCP8901_Sonda_Temp.c,355 :: 		else flag.half_set = 0;
	BCF        _flag+0, 1
L_Program199:
;MCP8901_Sonda_Temp.c,357 :: 		while (1) {
L_Program200:
;MCP8901_Sonda_Temp.c,358 :: 		Puls();
	CALL       _Puls+0
;MCP8901_Sonda_Temp.c,359 :: 		if (state_pul == 3) cnt ++;
	MOVF       _state_pul+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_Program202
	INCF       Program_cnt_L0+0, 1
L_Program202:
;MCP8901_Sonda_Temp.c,361 :: 		switch (cnt) {
	GOTO       L_Program203
;MCP8901_Sonda_Temp.c,362 :: 		case (1): contr_set = 0x80;            // T SET
L_Program205:
	MOVLW      128
	MOVWF      _contr_set+0
;MCP8901_Sonda_Temp.c,363 :: 		if (state_pul == 1) {
	MOVF       _state_pul+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_Program206
;MCP8901_Sonda_Temp.c,364 :: 		flag.half_set ^= 1;    // Button UP
	MOVLW      2
	XORWF      _flag+0, 1
;MCP8901_Sonda_Temp.c,365 :: 		if (flag.half_set == 0) {
	BTFSC      _flag+0, 1
	GOTO       L_Program207
;MCP8901_Sonda_Temp.c,366 :: 		t_set_l = 0;
	CLRF       _t_set_l+0
;MCP8901_Sonda_Temp.c,367 :: 		t_set_h ++;
	INCF       _t_set_h+0, 1
;MCP8901_Sonda_Temp.c,368 :: 		if (t_set_h == 126) t_set_h = 125;
	MOVF       _t_set_h+0, 0
	XORLW      126
	BTFSS      STATUS+0, 2
	GOTO       L_Program208
	MOVLW      125
	MOVWF      _t_set_h+0
L_Program208:
;MCP8901_Sonda_Temp.c,369 :: 		}
	GOTO       L_Program209
L_Program207:
;MCP8901_Sonda_Temp.c,370 :: 		else t_set_l = 0x80;
	MOVLW      128
	MOVWF      _t_set_l+0
L_Program209:
;MCP8901_Sonda_Temp.c,371 :: 		}
L_Program206:
;MCP8901_Sonda_Temp.c,373 :: 		if (state_pul == 2) {
	MOVF       _state_pul+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_Program210
;MCP8901_Sonda_Temp.c,374 :: 		flag.half_set ^= 1;   // Button DW
	MOVLW      2
	XORWF      _flag+0, 1
;MCP8901_Sonda_Temp.c,375 :: 		if (flag.half_set == 1) {
	BTFSS      _flag+0, 1
	GOTO       L_Program211
;MCP8901_Sonda_Temp.c,376 :: 		t_set_l = 0x80;
	MOVLW      128
	MOVWF      _t_set_l+0
;MCP8901_Sonda_Temp.c,377 :: 		t_set_h --;
	DECF       _t_set_h+0, 1
;MCP8901_Sonda_Temp.c,378 :: 		}
	GOTO       L_Program212
L_Program211:
;MCP8901_Sonda_Temp.c,379 :: 		else t_set_l = 0x00;
	CLRF       _t_set_l+0
L_Program212:
;MCP8901_Sonda_Temp.c,381 :: 		if (t_set_h == 199) t_set_h = 200;
	MOVF       _t_set_h+0, 0
	XORLW      199
	BTFSS      STATUS+0, 2
	GOTO       L_Program213
	MOVLW      200
	MOVWF      _t_set_h+0
L_Program213:
;MCP8901_Sonda_Temp.c,382 :: 		}
L_Program210:
;MCP8901_Sonda_Temp.c,383 :: 		break;
	GOTO       L_Program204
;MCP8901_Sonda_Temp.c,384 :: 		case (2): contr_set = 0;                // T Hyst
L_Program214:
	CLRF       _contr_set+0
;MCP8901_Sonda_Temp.c,385 :: 		contr_hyst = 0x80;
	MOVLW      128
	MOVWF      _contr_hyst+0
;MCP8901_Sonda_Temp.c,386 :: 		if (state_pul == 1) {
	MOVF       _state_pul+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_Program215
;MCP8901_Sonda_Temp.c,387 :: 		flag.half_hyst ^= 1;    // Button UP
	MOVLW      4
	XORWF      _flag+0, 1
;MCP8901_Sonda_Temp.c,388 :: 		if (flag.half_hyst == 0) {
	BTFSC      _flag+0, 2
	GOTO       L_Program216
;MCP8901_Sonda_Temp.c,389 :: 		t_hyst_l = 0;
	CLRF       _t_hyst_l+0
;MCP8901_Sonda_Temp.c,390 :: 		t_hyst_h ++;
	INCF       _t_hyst_h+0, 1
;MCP8901_Sonda_Temp.c,391 :: 		if (t_hyst_h == 126) t_hyst_h = 125;
	MOVF       _t_hyst_h+0, 0
	XORLW      126
	BTFSS      STATUS+0, 2
	GOTO       L_Program217
	MOVLW      125
	MOVWF      _t_hyst_h+0
L_Program217:
;MCP8901_Sonda_Temp.c,392 :: 		}
	GOTO       L_Program218
L_Program216:
;MCP8901_Sonda_Temp.c,393 :: 		else t_hyst_l = 0x80;
	MOVLW      128
	MOVWF      _t_hyst_l+0
L_Program218:
;MCP8901_Sonda_Temp.c,394 :: 		}
L_Program215:
;MCP8901_Sonda_Temp.c,396 :: 		if (state_pul == 2) {
	MOVF       _state_pul+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_Program219
;MCP8901_Sonda_Temp.c,397 :: 		flag.half_hyst ^= 1;   // Button DW
	MOVLW      4
	XORWF      _flag+0, 1
;MCP8901_Sonda_Temp.c,398 :: 		if (flag.half_hyst == 1) {
	BTFSS      _flag+0, 2
	GOTO       L_Program220
;MCP8901_Sonda_Temp.c,399 :: 		t_hyst_l = 0x80;
	MOVLW      128
	MOVWF      _t_hyst_l+0
;MCP8901_Sonda_Temp.c,400 :: 		t_hyst_h --;
	DECF       _t_hyst_h+0, 1
;MCP8901_Sonda_Temp.c,401 :: 		}
	GOTO       L_Program221
L_Program220:
;MCP8901_Sonda_Temp.c,402 :: 		else t_hyst_l = 0x00;
	CLRF       _t_hyst_l+0
L_Program221:
;MCP8901_Sonda_Temp.c,404 :: 		if (t_hyst_h == 199) t_hyst_h = 200;
	MOVF       _t_hyst_h+0, 0
	XORLW      199
	BTFSS      STATUS+0, 2
	GOTO       L_Program222
	MOVLW      200
	MOVWF      _t_hyst_h+0
L_Program222:
;MCP8901_Sonda_Temp.c,405 :: 		}
L_Program219:
;MCP8901_Sonda_Temp.c,406 :: 		break;
	GOTO       L_Program204
;MCP8901_Sonda_Temp.c,407 :: 		case (3): contr_hyst = 0;                  // OUT Mode
L_Program223:
	CLRF       _contr_hyst+0
;MCP8901_Sonda_Temp.c,408 :: 		contr_mode = 0x80;
	MOVLW      128
	MOVWF      _contr_mode+0
;MCP8901_Sonda_Temp.c,409 :: 		if (state_pul == 1 || state_pul == 2) flag.mode ^= 1;
	MOVF       _state_pul+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L__Program252
	MOVF       _state_pul+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L__Program252
	GOTO       L_Program226
L__Program252:
	MOVLW      8
	XORWF      _flag+0, 1
L_Program226:
;MCP8901_Sonda_Temp.c,410 :: 		break;
	GOTO       L_Program204
;MCP8901_Sonda_Temp.c,411 :: 		default: contr_mode = 0;           // Return
L_Program227:
	CLRF       _contr_mode+0
;MCP8901_Sonda_Temp.c,412 :: 		MCP8901_Write(2, t_hyst, t_hyst_l);   // Hysteresis
	MOVLW      2
	MOVWF      FARG_MCP8901_Write_addr_reg+0
	MOVF       _t_hyst+0, 0
	MOVWF      FARG_MCP8901_Write_dath+0
	MOVF       _t_hyst_l+0, 0
	MOVWF      FARG_MCP8901_Write_datl+0
	CALL       _MCP8901_Write+0
;MCP8901_Sonda_Temp.c,413 :: 		EEPROM_Write(0x02, t_hyst);          // Intger
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _t_hyst+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;MCP8901_Sonda_Temp.c,414 :: 		EEPROM_Write(0x03, t_hyst_l);        // Decimal
	MOVLW      3
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _t_hyst_l+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;MCP8901_Sonda_Temp.c,415 :: 		MCP8901_Write(3, t_set, t_set_l);     // SET
	MOVLW      3
	MOVWF      FARG_MCP8901_Write_addr_reg+0
	MOVF       _t_set+0, 0
	MOVWF      FARG_MCP8901_Write_dath+0
	MOVF       _t_set_l+0, 0
	MOVWF      FARG_MCP8901_Write_datl+0
	CALL       _MCP8901_Write+0
;MCP8901_Sonda_Temp.c,416 :: 		EEPROM_Write(0x00, t_set);          // Intger
	CLRF       FARG_EEPROM_Write_Address+0
	MOVF       _t_set+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;MCP8901_Sonda_Temp.c,417 :: 		EEPROM_Write(0x01, t_set_l);        // Decimal
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _t_set_l+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;MCP8901_Sonda_Temp.c,418 :: 		if (flag.mode) config.B2 = 1;
	BTFSS      _flag+0, 3
	GOTO       L_Program228
	BSF        _config+0, 2
	GOTO       L_Program229
L_Program228:
;MCP8901_Sonda_Temp.c,419 :: 		else config.B2 = 0;
	BCF        _config+0, 2
L_Program229:
;MCP8901_Sonda_Temp.c,420 :: 		EEPROM_Write(0x04, config);
	MOVLW      4
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _config+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;MCP8901_Sonda_Temp.c,421 :: 		Init_MCP8901 (config |= 0x60);    // Resolution 12 bit
	MOVLW      96
	IORWF       _config+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _config+0
	MOVF       R0, 0
	MOVWF      FARG_Init_MCP8901_config+0
	CALL       _Init_MCP8901+0
;MCP8901_Sonda_Temp.c,422 :: 		Main_Page_Prog();
	CALL       _Main_Page_Prog+0
;MCP8901_Sonda_Temp.c,423 :: 		return;
	GOTO       L_end_Program
;MCP8901_Sonda_Temp.c,424 :: 		}
L_Program203:
	MOVF       Program_cnt_L0+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_Program205
	MOVF       Program_cnt_L0+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_Program214
	MOVF       Program_cnt_L0+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_Program223
	GOTO       L_Program227
L_Program204:
;MCP8901_Sonda_Temp.c,425 :: 		Main_Page_Prog();
	CALL       _Main_Page_Prog+0
;MCP8901_Sonda_Temp.c,426 :: 		}
	GOTO       L_Program200
;MCP8901_Sonda_Temp.c,427 :: 		}
L_end_Program:
	RETURN
; end of _Program

_Test_EEprom:

;MCP8901_Sonda_Temp.c,431 :: 		char Test_EEprom(char addr){
;MCP8901_Sonda_Temp.c,434 :: 		buf = EEPROM_Read(addr);
	MOVF       FARG_Test_EEprom_addr+0, 0
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0, 0
	MOVWF      Test_EEprom_buf_L0+0
;MCP8901_Sonda_Temp.c,435 :: 		if (buf != 0xFF) return buf;
	MOVF       R0, 0
	XORLW      255
	BTFSC      STATUS+0, 2
	GOTO       L_Test_EEprom230
	MOVF       Test_EEprom_buf_L0+0, 0
	MOVWF      R0
	GOTO       L_end_Test_EEprom
L_Test_EEprom230:
;MCP8901_Sonda_Temp.c,436 :: 		else return 0x00;
	CLRF       R0
;MCP8901_Sonda_Temp.c,438 :: 		}
L_end_Test_EEprom:
	RETURN
; end of _Test_EEprom

_interrupt:

;MCP8901_Sonda_Temp.c,442 :: 		void interrupt(){
;MCP8901_Sonda_Temp.c,444 :: 		}
L_end_interrupt:
L__interrupt321:
	RETFIE     %s
; end of _interrupt

_main:

;MCP8901_Sonda_Temp.c,448 :: 		void main() {
;MCP8901_Sonda_Temp.c,449 :: 		char ii=0,iii;
;MCP8901_Sonda_Temp.c,452 :: 		Init_PIC();
	CALL       _Init_PIC+0
;MCP8901_Sonda_Temp.c,453 :: 		Delay_msec(100);
	MOVLW      100
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;MCP8901_Sonda_Temp.c,454 :: 		I2C_Init();
	CALL       _I2C_Init+0
;MCP8901_Sonda_Temp.c,455 :: 		config = Test_EEprom(0x04);        // Config
	MOVLW      4
	MOVWF      FARG_Test_EEprom_addr+0
	CALL       _Test_EEprom+0
	MOVF       R0, 0
	MOVWF      _config+0
;MCP8901_Sonda_Temp.c,456 :: 		Init_MCP8901 (config |= 0x60);    // Resolution 12 bit
	MOVLW      96
	IORWF       R0, 1
	MOVF       R0, 0
	MOVWF      _config+0
	MOVF       R0, 0
	MOVWF      FARG_Init_MCP8901_config+0
	CALL       _Init_MCP8901+0
;MCP8901_Sonda_Temp.c,457 :: 		if (config.B4) flag.mode = 1;
	BTFSS      _config+0, 4
	GOTO       L_main232
	BSF        _flag+0, 3
	GOTO       L_main233
L_main232:
;MCP8901_Sonda_Temp.c,458 :: 		else flag.mode = 0;
	BCF        _flag+0, 3
L_main233:
;MCP8901_Sonda_Temp.c,459 :: 		Delay_msec(500);
	MOVLW      244
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      1
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;MCP8901_Sonda_Temp.c,461 :: 		initlcd();
	CALL       _initlcd+0
;MCP8901_Sonda_Temp.c,463 :: 		Nokia_LED =1;
	BSF        LATC+0, 2
;MCP8901_Sonda_Temp.c,464 :: 		Delay_msec(100);
	MOVLW      100
	MOVWF      FARG_Delay_msec_count_delay+0
	MOVLW      0
	MOVWF      FARG_Delay_msec_count_delay+1
	CALL       _Delay_msec+0
;MCP8901_Sonda_Temp.c,466 :: 		Write_String(jumbo, 0, 5);
	MOVLW      _jumbo+0
	MOVWF      FARG_Write_String_string+0
	MOVLW      hi_addr(_jumbo+0)
	MOVWF      FARG_Write_String_string+1
	CLRF       FARG_Write_String_Page+0
	MOVLW      5
	MOVWF      FARG_Write_String_colonna+0
	CALL       _Write_String+0
;MCP8901_Sonda_Temp.c,467 :: 		contr_hyst =0;
	CLRF       _contr_hyst+0
;MCP8901_Sonda_Temp.c,468 :: 		contr_set = 0;
	CLRF       _contr_set+0
;MCP8901_Sonda_Temp.c,469 :: 		contr_mode = 0;
	CLRF       _contr_mode+0
;MCP8901_Sonda_Temp.c,473 :: 		t_set_h = Test_EEprom(0x00);    // Integer SET
	CLRF       FARG_Test_EEprom_addr+0
	CALL       _Test_EEprom+0
	MOVF       R0, 0
	MOVWF      _t_set_h+0
;MCP8901_Sonda_Temp.c,474 :: 		t_set_l = Test_EEprom(0x01);    // Decimal SET
	MOVLW      1
	MOVWF      FARG_Test_EEprom_addr+0
	CALL       _Test_EEprom+0
	MOVF       R0, 0
	MOVWF      _t_set_l+0
;MCP8901_Sonda_Temp.c,475 :: 		MCP8901_Write(3, t_set_h, t_set_l);
	MOVLW      3
	MOVWF      FARG_MCP8901_Write_addr_reg+0
	MOVF       _t_set_h+0, 0
	MOVWF      FARG_MCP8901_Write_dath+0
	MOVF       R0, 0
	MOVWF      FARG_MCP8901_Write_datl+0
	CALL       _MCP8901_Write+0
;MCP8901_Sonda_Temp.c,476 :: 		t_hyst_h = Test_EEprom(0x02);    // Integer HYSTERESIS
	MOVLW      2
	MOVWF      FARG_Test_EEprom_addr+0
	CALL       _Test_EEprom+0
	MOVF       R0, 0
	MOVWF      _t_hyst_h+0
;MCP8901_Sonda_Temp.c,477 :: 		t_hyst_l = Test_EEprom(0x03);    // Decimal HYSTERESIS
	MOVLW      3
	MOVWF      FARG_Test_EEprom_addr+0
	CALL       _Test_EEprom+0
	MOVF       R0, 0
	MOVWF      _t_hyst_l+0
;MCP8901_Sonda_Temp.c,478 :: 		MCP8901_Write(2, t_hyst_h, t_hyst_l);
	MOVLW      2
	MOVWF      FARG_MCP8901_Write_addr_reg+0
	MOVF       _t_hyst_h+0, 0
	MOVWF      FARG_MCP8901_Write_dath+0
	MOVF       R0, 0
	MOVWF      FARG_MCP8901_Write_datl+0
	CALL       _MCP8901_Write+0
;MCP8901_Sonda_Temp.c,480 :: 		MCP8901_Read(3);       // T SET
	MOVLW      3
	MOVWF      FARG_MCP8901_Read_addr_reg+0
	CALL       _MCP8901_Read+0
;MCP8901_Sonda_Temp.c,481 :: 		t_set_h = temp_msb;
	MOVF       _temp_msb+0, 0
	MOVWF      _t_set_h+0
;MCP8901_Sonda_Temp.c,482 :: 		t_set_l = temp_lsb;
	MOVF       _temp_lsb+0, 0
	MOVWF      _t_set_l+0
;MCP8901_Sonda_Temp.c,483 :: 		t_set = t_set_h;
	MOVF       _temp_msb+0, 0
	MOVWF      _t_set+0
;MCP8901_Sonda_Temp.c,484 :: 		MCP8901_Read(2);       // T HYST
	MOVLW      2
	MOVWF      FARG_MCP8901_Read_addr_reg+0
	CALL       _MCP8901_Read+0
;MCP8901_Sonda_Temp.c,485 :: 		t_hyst_h = temp_msb;
	MOVF       _temp_msb+0, 0
	MOVWF      _t_hyst_h+0
;MCP8901_Sonda_Temp.c,486 :: 		t_hyst_l = temp_lsb;
	MOVF       _temp_lsb+0, 0
	MOVWF      _t_hyst_l+0
;MCP8901_Sonda_Temp.c,487 :: 		t_hyst = t_hyst_h;
	MOVF       _temp_msb+0, 0
	MOVWF      _t_hyst+0
;MCP8901_Sonda_Temp.c,488 :: 		Main_Page_bis ();
	CALL       _Main_Page_bis+0
;MCP8901_Sonda_Temp.c,490 :: 		LED_1 = 1;
	BSF        LATC5_bit+0, BitPos(LATC5_bit+0)
;MCP8901_Sonda_Temp.c,492 :: 		while (1) {
L_main234:
;MCP8901_Sonda_Temp.c,493 :: 		if (INTCON.TMR0IF) {
	BTFSS      INTCON+0, 2
	GOTO       L_main236
;MCP8901_Sonda_Temp.c,494 :: 		cnt_led ++;
	INCF       _cnt_led+0, 1
;MCP8901_Sonda_Temp.c,495 :: 		INTCON.TMR0IF = 0;
	BCF        INTCON+0, 2
;MCP8901_Sonda_Temp.c,496 :: 		cnt_req ++;
	INCF       main_cnt_req_L0+0, 1
;MCP8901_Sonda_Temp.c,497 :: 		}
L_main236:
;MCP8901_Sonda_Temp.c,498 :: 		if (cnt_led >= 50) {
	MOVLW      50
	SUBWF      _cnt_led+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main237
;MCP8901_Sonda_Temp.c,499 :: 		LED_1 ^= 1;
	MOVLW
	XORWF      LATC5_bit+0, 1
;MCP8901_Sonda_Temp.c,500 :: 		cnt_led = 0;
	CLRF       _cnt_led+0
;MCP8901_Sonda_Temp.c,501 :: 		flag.led ^= 1;
	MOVLW      16
	XORWF      _flag+0, 1
;MCP8901_Sonda_Temp.c,502 :: 		}
L_main237:
;MCP8901_Sonda_Temp.c,504 :: 		Puls();
	CALL       _Puls+0
;MCP8901_Sonda_Temp.c,505 :: 		if (state_pul == 3) Program();
	MOVF       _state_pul+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_main238
	CALL       _Program+0
L_main238:
;MCP8901_Sonda_Temp.c,508 :: 		if (cnt_req>=120) {
	MOVLW      120
	SUBWF      main_cnt_req_L0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main239
;MCP8901_Sonda_Temp.c,509 :: 		MCP8901_Read (0x00);
	CLRF       FARG_MCP8901_Read_addr_reg+0
	CALL       _MCP8901_Read+0
;MCP8901_Sonda_Temp.c,510 :: 		Main_Page();
	CALL       _Main_Page+0
;MCP8901_Sonda_Temp.c,511 :: 		cnt_req = 0;
	CLRF       main_cnt_req_L0+0
;MCP8901_Sonda_Temp.c,512 :: 		}
L_main239:
;MCP8901_Sonda_Temp.c,513 :: 		}
	GOTO       L_main234
;MCP8901_Sonda_Temp.c,514 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
