/*

           LIBRARY MCP8901

           !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!4/05/2020 Tested OK

*/
//
 const char addr = 0b10010000;       // MCP8901 RTC
//
  char temp_msb, temp_lsb;
//
 #include "I2C_Soft_J.c"
//
 extern void Delay_msec(unsigned int count_delay);
//
// *****************************************************************************
// Conversione da decimale a bcd
// *****************************************************************************
 char dec_to_bcd (char value) {
  char buf;
//
     buf = value / 10;
      value -= buf * 10;
       buf <<= 4;
        return buf + value;
 }
// *****************************************************************************
// Conversione da bcd a decimale
// *****************************************************************************
 char bcd_to_dec (char value) {
  char buf;
//
       buf = value >> 4;
        buf *= 10;
         buf += value & 0x0F;
          return buf;
 }

// *****************************************************************************
// Init MCP79410
// *****************************************************************************
 void Init_MCP8901(char config) {
  char buf;
//
    start();
     writeByte(addr);       // ADDR + Write (0)
      readAck();
       writeByte(0x01);     //
        readAck();
         writeByte(config);   // ADC 12 bit
          readAck();
           stop();
            Delay_msec(10);
 }
// ***************************************************************************** OK
// write the data "dat" in the register indicated by "addr_reg"
// *****************************************************************************
 void MCP8901_Write(char addr_reg, char dath, char datl) {
  char buf;
//
    start();
     writeByte(addr);       // ADDR + Write (0)
      readAck();
       writeByte(addr_reg);
        readAck();
         writeByte(dath);
          readAck();
           writeByte(datl);
            readAck();
             stop();
 }
// ***************************************************************************** OK
// Reads the contents of the register indicated by "addr_reg"
// *****************************************************************************
 void MCP8901_Read(char addr_reg) {
 //
    start();
     writeByte(addr);            // ADDR + Write (0)
      data1 = readAck()+0x30;
       writeByte(addr_reg);
        data2 = readAck()+0x30;
         start();                      // Repeat start!
          writeByte(addr+1);       // Addr + Read (1)
           data3 = readAck()+0x30;
            temp_msb = readByte();
             Write_Ack();
              temp_lsb = readByte();
               Write_Nack();
                stop();
 }
// *****************************************************************************
/*
















*/